Welcome to Gutenprint 5.2.14, a stable release of Gutenprint 5.2.
Please read these release notes carefully.

Gutenprint is a suite of printer drivers for UNIX, Linux, and
Macintosh OS X systems (10.6 and above) that use CUPS as their
printing system.  Gutenprint currently supports over 3000 printers.
It also includes an enhanced Print plug-in for GIMP that replaces the
print plug-in packaged with the GIMP distribution.

Users of Macintosh OS X 10.4 should use Gutenprint 5.2.9; users of OS
X 10.5 should use Gutenprint 5.2.10.

*** NOTE TO PACKAGERS: Please read the file README.package for issues
    that are of interest to distributors and packagers of Gutenprint.
    It is not necessary for end users of Gutenprint to read this file.

These release notes contain the following sections:

I)    General Requirements
II)   Critical Upgrade Note
III)  Changes from Previous Releases
        * Changes from 5.2.13
        * Changes from 5.2.12
        * Changes from 5.2.11
        * Changes from 5.2.10
        * Changes from 5.2.9
        * Changes from 5.2.8
        * Changes from 5.2.7
        * Changes from 5.2.6
        * Changes from 5.2.5
        * Changes from 5.2.4
        * Changes from 5.2.3
        * Changes from 5.2.2
        * Changes from 5.2.1
IV)   Exceptions and Workarounds
	A) General Issues
	B) Printer-Specific Issues
	C) Build/Installation Issues
V)    Overall changes from 5.0.2 to 5.2
	A) General User-visible Changes
	B) New Functionality
	C) Changes to the Enhanced Print plugin for GIMP
	D) Changes to the CUPS interface
	E) Changes to the Foomatic interface
	F) Quality Improvements
	G) Architectural Changes
	H) New Printers Supported in this Release


================================================================

I) GENERAL REQUIREMENTS

Gutenprint will run on any reasonably modern computer running Linux,
Macintosh OS X (10.6 or above), Solaris, or any other UNIX-like
operating system.  If you plan to compile this package from source,
you will also need an ANSI C compiler, such as gcc (recommended).  A
compiler is not required if you are installing a pre-compiled package.

Processor and memory requirements vary depending upon the printer and
runtime options selected; it is suggested that you have at least 64 MB
of memory for general purpose printing, 256 MB or more for high
quality printing on a good printer, and 1 GB or more for large format
printing at high resolution.  You should have at least 50 MB of free
disk space to compile and install Gutenprint.  Disk space requirements
for printing will vary depending upon how you use Gutenprint, but are
generally modest except as noted below.  We recommend a processor
speed of at least 300 MHz.  Fast printers may require a faster
processor to achieve maximum printing speed.

For general use, you should have the Common UNIX Printing System, CUPS
(version 1.1.15 or above).  Please the rest of the release notes, in
particular the Exceptions and Workarounds, for full details on
installation, as there is important information to be aware of.  CUPS
is the printing system used on Macintosh OS X 10.3 and above, and many
other systems use it.  The combination of CUPS and Gutenprint provides
a flexible, general purpose printing system capable of producing the
highest quality output with any of the printers supported by this
package.  We strongly recommend using CUPS with Gutenprint as a
general-purpose printing solution.

The enhanced Print plug-in for GIMP requires GIMP 2.0 or above (GIMP
2.2 recommended).  This plug-in will work with any printing system,
and offers a comprehensive user interface to control all aspects of
the printing process.  If you are printing photographs in large format
from GIMP at very high resolution, disk space requirements may be
substantial, and we recommend at least 2 GB of free disk space for
that purpose.

Users of Macintosh 10.6 (Snow Leopard) and above can use this package.
For ease of installation, a pre-built package with installer is
normally supplied a few days after the release of the source package.
We strongly recommend that OS X users use the pre-built package rather
than attempt to build it themselves.

The README file included with this package provides full instructions
for building and installing Gutenprint.


================================================================

II) CRITICAL UPGRADE NOTE

If you are using CUPS with Gutenprint on a non-Macintosh system, and
are upgrading from Gimp-Print 4.2 or a version of Gutenprint prior to
5.2, please read this note carefully as there are special procedures
that you should follow in addition to the normal procedure of running
cups-genppdupdate.

Background: older versions of Gutenprint distributed CUPS backends,
named "epson" and "canon", that we have determined have compatibility
problems on certain systems.  The symptom of this problem is that the
last page of each print job does not complete; it prints almost to the
end of the page, and the printer stops.  The only way to clear this
condition is to power the printer off and back on after each job.

A CUPS "backend" is a special program whose purpose is to transfer
data from the printer driver to the printer itself.  CUPS provides a
number of general purpose backends.  The "epson" and "canon" backends
previously provided with Gutenprint are capable of retrieving ink
level information from Epson and Canon inkjet printers respectively.
These backends are no longer needed in CUPS 1.2, and are not strictly
necessary in CUPS 1.1.  Therefore, these backends have been removed
from Gutenprint as of 5.2.

Due to a subtle issue, these backends may not correctly send all of
the data to the printer on some systems.  While we have not fully
characterized the systems on which this happens, it appears likely
that it is on certain operating system versions.  The backend believes
that all data has been sent, but the way it does I/O results in some
data not being sent on all systems.  As a result, the printer
continues to wait for more data to be received.

We recommend that if you have any printer queues using these backends
that you modify the queues to use a different backend.  Even if you
are not currently having problems, we recommend that you do this, as a
future operating system upgrade may result in this problem becoming
visible.  If this is the first version of Gutenprint or Gimp-Print you
have installed on your system, you should not have these backends
present.  Here are the steps we recommend that you follow.

1) Determine whether any printers on your system use the epson or
   canon backends.

   This can be determined via "lpstat -v".  This may be done without
   administrator privileges:

      $ lpstat -v
      device for EPSON_Stylus_Photo_R300_USB_1: usb://EPSON/Stylus%20Photo%20R300
      device for espr300-ez: usb://EPSON/Stylus%20Photo%20R300
      device for r300-test: epson:/dev/usb/lp0
      device for HP_LaserJet_1022_USB_1: usb://HP/LaserJet%201022

   Inspect each device line for a device that begins with "epson:" or
   "canon:".  These are the queues you must modify.  In this case, the
   only queue that must be modified is "r300-test".  The other queues
   all have devices that begin with "usb:"; these queues use the
   standard CUPS USB backend that does not have this problem.

2) For each queue that uses the epson or canon backend, modify it to
   use an appropriate backend.

   If your system provides a user interface for administering
   printers, we recommend that you use that interface.  If you're
   comfortable with the KDE or GNOME print manager, you may use that
   interface.  However, we recommend using the CUPS web interface
   (http://localhost:631/printers) to modify the printer.  The steps
   you should follow (assuming that you are using the CUPS web
   interface) are:

   i) Click "Modify Printer", to start leading you through a series of
      screens allowing you to change the printer properties.

   ii) The first screen, entitled "Modify Printer r300-test" (the
      printer name, of course, will vary), will display the name of
      the printer, along with the location and description.  You may
      modify these if you wish, but it isn't necessary.  Click
      "Continue".

   iii) The next screen, entitled "Device for r300-test", is the
      important one.  This provides you a drop-down list of devices.
      These devices typically include "AppSocket/HP JetDirect",
      "LP#1", and so forth.  It is critical that you select the
      correct device at this point.

      The entries that you want are of the form

      EPSON Stylus Photo R300 USB #1 (EPSON Stylus Photo R300)

      or

      EPSON Stylus Photo EX Parallel #1 (EPSON Stylus Photo EX)

      Make sure to select the one that's appropriate for your printer
      model.

      You will likely also see entries such as "Gutenprint USB Printer
      #1 (EPSON USB2.0 Printer (Hi-speed)".  These are the entries
      corresponding to the "epson" and "canon" backends, and you must
      avoid these.

   iv) The next screen, entitled "Make/Manufacturer for r300-test",
      allows you to select the manufacturer of the printer.  Normally,
      the correct manufacturer (Epson or Canon) will be highlighted,
      and you can click Continue.

   v) The next screen, entitled "Model/Driver for r300-test", allows
      you to select the precise model of the printer.  Normally, the
      correct model (which will be named something like "Epson Stylus
      Photo R300 - CUPS+Gutenprint v5.2.0-rc1") will already be
      highlighted, and you can click "Modify Printer".  Otherwise, you
      must find and select the correct printer model before clicking
      Modify Printer.  You will likely need to provide your
      administrator username and password to continue here.

      After this, you should see a message "Printer r300-test modified
      successfully".

3) Remove the epson and canon backends.

   On most systems, the backends will be named
   /usr/lib/cups/backend/canon and /usr/lib/cups/backend/epson.  On
   some systems, the backends will be named
   /usr/lib64/cups/backend/canon and /usr/lib64/cups/backend/epson.
   They may be present in other locations, but these are the most
   common locations.  If these files are present, you should create a
   directory named /usr/lib/cups/old-backend or
   /usr/lib64/cups/old-backend, and move the epson and canon backends
   there just in case you later need them.

      % cd /usr/lib/cups
      % sudo mkdir old-backend
      Password: <type your administrator password>
      % cd backend
      % sudo mv canon epson ../old-backend
      Password: <retype your administrator password if prompted>

The specific underlying technical problem appears to be that when at
least certain devices are in non-blocking mode (O_NONBLOCK or
O_NDELAY) with certain operating system versions (Linux 2.6.25 appears
to be suffer this problem, and most likely some other versions also
do), the close() call does not result in all data being flushed to the
device.  We have determined that the data is in fact written by the
"epson" process, but it's never getting to the printer.


================================================================

III) MAJOR CHANGES FROM PREVIOUS RELEASES

* Changes from 5.2.13

  1) The PCL driver now supports color laser printers that use PCL 5c
     natively (as opposed to emulation).

     Due to a known bug, printing using CMYK input will result in
     incorrect output.  Pleaes use RGB, CMY, or grayscale input only
     to these printers.  This bug will be fixed in a future, post-5.2
     release of Gutenprint.

     Color quality is significantly improved since 5.2.14-pre2.

     * The following printers now support color printing:

       Epson ActionLaser AL-C8600
       Epson ActionLaser AL-C8600 PS3
       HP Color LaserJet 2500
       HP Color LaserJet 5
       HP Color LaserJet 5000
       HP Color LaserJet 8550GN
       Kyocera FS-5800C
       Kyocera FS-5900C
       Kyocera FS-8000C
       Xerox DocuPrint C20
       Xerox WorkCentre 7345

    * The following new printers have been added, with color support:

       Brother HL-2400CeN
       Brother HL-2600CN
       Brother HL-3400CN
       Brother HL-3450CN
       Canon LBP-5360
       Canon LBP-5390
       Canon imageRunner C2570
       Canon imageRunner C2570i
       Canon imageRunner C2620N
       Canon imageRunner C3100
       Canon imageRunner C3170
       Canon imageRunner C3170i
       Canon imageRunner C3200
       Canon imageRunner C5030
       Canon imageRunner C5180
       Canon imageRunner C5800
       Canon imageRunner C5870U
       Canon imageRunner C6800
       Canon imageRunner C6870U
       HP Color LaserJet 5m
       HP Color LaserJet 2500
       HP Color LaserJet 2500
       HP Color LaserJet 3000
       HP Color LaserJet 3000dn
       HP Color LaserJet 3000dtn
       HP Color LaserJet 3000n
       HP Color LaserJet 3700
       HP Color LaserJet 3700n
       HP Color LaserJet 3800
       HP Color LaserJet 3800dn
       HP Color LaserJet 3800dtn
       HP Color LaserJet 3800n
       HP Color LaserJet 4600
       HP Color LaserJet 4610
       HP Color LaserJet 4650
       HP Color LaserJet 4700
       HP Color LaserJet 4700dn
       HP Color LaserJet 4700dtn
       HP Color LaserJet 4700n
       HP Color LaserJet 4700ph+
       HP Color LaserJet 5500dn
       HP Color LaserJet 5500dtn
       HP Color LaserJet 5500hdn
       HP Color LaserJet 5500n
       HP Color LaserJet 8500
       HP Color LaserJet 8500dn
       HP Color LaserJet 8500n
       HP Color LaserJet 8550
       HP Color LaserJet 8550DN
       HP Color LaserJet 8550GN
       HP Color LaserJet 9500
       HP Color LaserJet 9500gp
       HP Color LaserJet 9500hdn
       HP Color LaserJet 9500n
       HP Color LaserJet CM1312
       HP Color LaserJet CM1312nfi
       HP Color LaserJet CM1411FN
       HP Color LaserJet CM1412FN
       HP Color LaserJet CM1413FN
       HP Color LaserJet CM1415FN
       HP Color LaserJet CM1415FNW
       HP Color LaserJet CM1416FNW
       HP Color LaserJet CM1417FNW
       HP Color LaserJet CM1418FNW
       HP Color LaserJet CM2320 MFP
       HP Color LaserJet CM2320FXI MFP
       HP Color LaserJet CM2320N MFP
       HP Color LaserJet CM2320NF MFP
       HP Color LaserJet CM3530 MFP
       HP Color LaserJet CM4540 MFP
       HP Color LaserJet CM4730 MFP
       HP Color LaserJet CM6030 MFP
       HP Color LaserJet CM6040 MFP
       HP Color LaserJet CM6040f MFP
       HP Color LaserJet CM6049f MFP
       HP Color LaserJet CP1514n
       HP Color LaserJet CP1515n
       HP Color LaserJet CP1518ni
       HP Color LaserJet CP2025
       HP Color LaserJet CP2025dn
       HP Color LaserJet CP2025n
       HP Color LaserJet CP2025x
       HP Color LaserJet CP3505
       HP Color LaserJet CP3505dn
       HP Color LaserJet CP3505n
       HP Color LaserJet CP3505x
       HP Color LaserJet CP3525
       HP Color LaserJet CP3525dn
       HP Color LaserJet CP3525n
       HP Color LaserJet CP3525x
       HP Color LaserJet CP4005
       HP Color LaserJet CP4005dn
       HP Color LaserJet CP4005n
       HP Color LaserJet CP4020
       HP Color LaserJet CP4500
       HP Color LaserJet CP4520
       HP Color LaserJet CP4540
       HP Color LaserJet CP5225
       HP Color LaserJet CP5225dn
       HP Color LaserJet CP5225n
       HP Color LaserJet CP5520
       HP Color LaserJet CP6015de
       HP Color LaserJet CP6015dn
       HP Color LaserJet CP6015n
       HP Color LaserJet CP6015x
       HP Color LaserJet CP6015xh
       Kyocera Ci-1100
       Kyocera CS-250ci
       Kyocera CS-2525E
       Kyocera CS-300ci
       Kyocera CS-400ci
       Kyocera CS-500ci
       Kyocera CS-3050ci
       Kyocera CS-3225E
       Kyocera CS-3232E
       Kyocera CS-3550ci
       Kyocera CS-4035E
       Kyocera FS-5800C
       Kyocera FS-5900C
       Kyocera FS-8000C
       Kyocera FS-C5015N
       Kyocera FS-C5016N
       Kyocera FS-C5020N
       Kyocera FS-C5025N
       Kyocera FS-C5030N
       Kyocera FS-C5100DN
       Kyocera FS-C5200DN
       Kyocera FS-C5300DN
       Kyocera FS-C5350DN
       Kyocera FS-C5400DN
       Kyocera FS-C8008N
       Kyocera FS-C8100DN
       Kyocera FS-C8100DN+
       Kyocera KM-C830
       Kyocera KM-C850
       Kyocera KM-C2520
       Kyocera KM-C2525E
       Kyocera KM-C2630
       Kyocera KM-C3225
       Kyocera KM-C3225E
       Kyocera KM-C3232
       Kyocera KM-C3232E
       Kyocera KM-C4035E
       Kyocera TASKalfa 250ci
       Kyocera TASKalfa 300ci
       Kyocera TASKalfa 400ci
       Kyocera TASKalfa 500ci
       Oki C5300
       Oki C5400
       Oki C7300
       Oki C9200
       Oki C9400
       Ricoh SP C440DN
       Ricoh SP C840DN
       Ricoh SP C842DN
       Sharp AR-BC260
       Sharp AR-BC320
       Sharp AR-C170M
       Sharp AR-C172M
       Sharp AR-C260
       Sharp AR-C260F
       Sharp AR-C260M
       Sharp AR-C260P
       Sharp AR-C260S
       Sharp AR-C261F
       Sharp AR-C261M
       Sharp AR-C261S
       Sharp AR-C262M
       Sharp AR-C262S
       Xerox Phaser 3160N
       Xerox Phaser 8860
       Xerox WorkCentre C2424

     * Many other color laser printers, too numerous to list, have
       been added on specification; please report success or failure
       with any other color laser printer using the Generic PCL Color
       drivers.  Printers that we know about that may be supported are
       listed as UNTESTED Automatically Generated.  Based on feedback
       from this pre-release, some or all of these printers may be
       removed from the list prior to 5.2.14 release.

  2) Support for the Brother HL-2030 and HL-2035 has been removed.  We
     have determined that these printers do not use standard PCL; they
     use a proprietary printing method that we cannot support.

  3) A change to color output that affected some printers as of 5.2.12
     has been reverted.  The symptom in most cases is that output is
     much darker than in previous releases.  If you have generated
     profiles based on 5.2.12, you will need to revert to older ones
     or generate new ones.

     We apologize for the inconvenience this may cause some.

  4) A crash that affected certain dyesub printers when used with
     simplified PPD files has been fixed.  The printers involved are:

     Citizen CX-W
     Dai Nippon Printing DS620
     Dai Nippon Printing DS80
     Dai Nippon Printing DS80DX
     Dai Nippon Printing DS820
     Mitsubishi CP-3800DW
     Mitsubishi CP-D70DW
     Mitsubishi CP-D707DW
     Shinko/Sinfonia CHC-S1245
     Shinko/Sinfonia CHC-S2145
     Shinko/Sinfonia CHC-S6145
     Shinko/Sinfonia CHC-S6245

  5) Enhanced support and bugfixes for the following dye-sublimation printers:

     Fujifilm ASK-300
     Sony UP-DR150
     Sony UP-DR200
     Canon SELPHY CP820
     Canon SELPHY CP910
     Canon SELPHY CP1000
     Canon SELPHY CP1200
     Mitsubishi CP-D70DW
     Mitsubishi CP-D707DW  (EXPERIMENTAL)
     Mitsubishi CP-D80DW
     Shinko/Sinfonia CHC-S1245
     DNP DS-RX1HS
     Citizen CY-02
     Citizen CX-02

  6) Initial support for EPSON Stylus Pro 7900 (Partial -- no
     orange/green inks)

  7) The SureColor P800, previously marked Experimental, has been
     retuned and is now no longer considered experimental.

  8) The following BW laser printer has been added:

     HP LaserJet 5N


* Changes from 5.2.12

  1) Critical bugfix

     * Correct mis-defined paper type that collided with standard
       A4 paper.  This resulted in some Canon and PCL printers
       mishandling A4 paper.

  2) Added support for the following Epson inkjet printers:

     EPSON Artisan 1430
     EPSON L210

  3) Improvements to the dye-sublimation driver:

     * Code optimizations in the dye-sublimation driver, resulting
       in a significant (2x-2.7x) boost in performance.

     * Added support for the following thermal printer:

      Mitsubishi P93DW

     * Enhanced support (and bugfixes) for the following
       dye-sublimation and thermal printers:

      Canon SELPHY CP820
      Canon SELPHY CP910
      Canon SELPHY CP1000
      Canon SELPHY CP1200
      Fujifilm ASK-300          [EXPERIMENTAL]
      Kodak 305
      Mitsubishi CP-D70DW
      Mitsubishi CP-D707DW      [EXPERIMENTAL]
      Mitsubishi CP-D80DW
      Mitsubishi CP-K60DW-S
      Mitsubishi P95DW

  4) Improvements to the Gimp plugin

     * Compilation fixes when CUPS is not enabled

     * Fix non-interactive plugin mode

  5) Changes to the Canon driver:

     * Added support for following printer models:

       Canon G1000 series  (EXPERIMENTAL)
       Canon PIXMA G1000   (EXPERIMENTAL)(*1)
       Canon PIXMA G1100   (EXPERIMENTAL)(*1)
       Canon PIXMA G1200   (EXPERIMENTAL)(*1)
       Canon PIXMA G1400   (EXPERIMENTAL)(*1)
       Canon PIXMA G1500   (EXPERIMENTAL)(*1)
       Canon PIXMA G1800   (EXPERIMENTAL)(*1)
       Canon PIXMA G1900   (EXPERIMENTAL)(*1)

       Canon G2000 series  (EXPERIMENTAL)
       Canon PIXMA G2000   (EXPERIMENTAL)(*1)
       Canon PIXMA G2002   (EXPERIMENTAL)(*1)
       Canon PIXMA G2100   (EXPERIMENTAL)(*1)
       Canon PIXMA G2200   (EXPERIMENTAL)(*1)
       Canon PIXMA G2400   (EXPERIMENTAL)(*1)
       Canon PIXMA G2500   (EXPERIMENTAL)(*1)
       Canon PIXMA G2600   (EXPERIMENTAL)(*1)
       Canon PIXMA G2800   (EXPERIMENTAL)(*1)
       Canon PIXMA G2900   (EXPERIMENTAL)(*1)

       Canon G3000 series  (EXPERIMENTAL)
       Canon PIXMA G3000   (EXPERIMENTAL)(*1)
       Canon PIXMA G3100   (EXPERIMENTAL)(*1)
       Canon PIXMA G3200   (EXPERIMENTAL)(*1)
       Canon PIXMA G3400   (EXPERIMENTAL)(*1)
       Canon PIXMA G3500   (EXPERIMENTAL)(*1)
       Canon PIXMA G3600   (EXPERIMENTAL)(*1)
       Canon PIXMA G3800   (EXPERIMENTAL)(*1)
       Canon PIXMA G3900   (EXPERIMENTAL)(*1)

       Canon G4000 series  (EXPERIMENTAL)
       Canon PIXMA G4000   (EXPERIMENTAL)(*1)
       Canon PIXMA G4100   (EXPERIMENTAL)(*1)
       Canon PIXMA G4200   (EXPERIMENTAL)(*1)
       Canon PIXMA G4400   (EXPERIMENTAL)(*1)
       Canon PIXMA G4500   (EXPERIMENTAL)(*1)
       Canon PIXMA G4600   (EXPERIMENTAL)(*1)
       Canon PIXMA G4800   (EXPERIMENTAL)(*1)
       Canon PIXMA G4900   (EXPERIMENTAL)(*1)

       Canon MG3000 series (EXPERIMENTAL)
       Canon PIXMA MG3010  (EXPERIMENTAL)(*1)
       Canon PIXMA MG3020  (EXPERIMENTAL)(*1)
       Canon PIXMA MG3022  (EXPERIMENTAL)(*1)
       Canon PIXMA MG3030  (EXPERIMENTAL)(*1)
       Canon PIXMA MG3040  (EXPERIMENTAL)(*1)
       Canon PIXMA MG3050  (EXPERIMENTAL)(*1)
       Canon PIXMA MG3051  (EXPERIMENTAL)(*1)
       Canon PIXMA MG3052  (EXPERIMENTAL)(*1)
       Canon PIXMA MG3053  (EXPERIMENTAL)(*1)
       Canon PIXMA MG3060  (EXPERIMENTAL)(*1)
       Canon PIXMA MG3070  (EXPERIMENTAL)(*1)
       Canon PIXMA MG3077  (EXPERIMENTAL)(*1)
       Canon PIXMA MG3080  (EXPERIMENTAL)(*1)
       Canon PIXMA MG3090  (EXPERIMENTAL)(*1)

       Canon E410 series   (EXPERIMENTAL)
       Canon PIXMA E410    (EXPERIMENTAL)(*1)
       Canon PIXMA E414    (EXPERIMENTAL)(*1)
       Canon PIXMA E417    (EXPERIMENTAL)(*1)
       Canon PIXMA E418    (EXPERIMENTAL)(*1)

       Canon E470 series   (EXPERIMENTAL)
       Canon PIXMA E470    (EXPERIMENTAL)(*1)
       Canon PIXMA E471    (EXPERIMENTAL)(*1)
       Canon PIXMA E474    (EXPERIMENTAL)(*1)
       Canon PIXMA E477    (EXPERIMENTAL)(*1)
       Canon PIXMA E478    (EXPERIMENTAL)(*1)

       Canon E3100 series  (EXPERIMENTAL)
       Canon PIXMA E3170   (EXPERIMENTAL)(*1)

       Canon TS3100 series (EXPERIMENTAL)
       Canon PIXMA TS3170  (EXPERIMENTAL)(*1)

       Canon TS5000 series (EXPERIMENTAL)
       Canon PIXMA TS5010  (EXPERIMENTAL)(*1)
       Canon PIXMA TS5020  (EXPERIMENTAL)(*1)
       Canon PIXMA TS5030  (EXPERIMENTAL)(*1)
       Canon PIXMA TS5040  (EXPERIMENTAL)(*1)
       Canon PIXMA TS5050  (EXPERIMENTAL)(*1)
       Canon PIXMA TS5051  (EXPERIMENTAL)(*1)
       Canon PIXMA TS5053  (EXPERIMENTAL)(*1)
       Canon PIXMA TS5055  (EXPERIMENTAL)(*1)
       Canon PIXMA TS5060  (EXPERIMENTAL)(*1)
       Canon PIXMA TS5070  (EXPERIMENTAL)(*1)
       Canon PIXMA TS5080  (EXPERIMENTAL)(*1)
       Canon PIXMA TS5090  (EXPERIMENTAL)(*1)

       Canon TS6000 series (EXPERIMENTAL)
       Canon PIXMA TS6010  (EXPERIMENTAL)(*1)
       Canon PIXMA TS6020  (EXPERIMENTAL)(*1)
       Canon PIXMA TS6030  (EXPERIMENTAL)(*1)
       Canon PIXMA TS6040  (EXPERIMENTAL)(*1)
       Canon PIXMA TS6050  (EXPERIMENTAL)(*1)
       Canon PIXMA TS6051  (EXPERIMENTAL)(*1)
       Canon PIXMA TS6052  (EXPERIMENTAL)(*1)
       Canon PIXMA TS6060  (EXPERIMENTAL)(*1)
       Canon PIXMA TS6070  (EXPERIMENTAL)(*1)
       Canon PIXMA TS6080  (EXPERIMENTAL)(*1)

       Canon TS8000 series (EXPERIMENTAL)
       Canon PIXMA TS8010  (EXPERIMENTAL)(*1)
       Canon PIXMA TS6020  (EXPERIMENTAL)(*1)
       Canon PIXMA TS6030  (EXPERIMENTAL)(*1)
       Canon PIXMA TS6040  (EXPERIMENTAL)(*1)
       Canon PIXMA TS6050  (EXPERIMENTAL)(*1)
       Canon PIXMA TS6051  (EXPERIMENTAL)(*1)
       Canon PIXMA TS6052  (EXPERIMENTAL)(*1)
       Canon PIXMA TS6053  (EXPERIMENTAL)(*1)
       Canon PIXMA TS6060  (EXPERIMENTAL)(*1)
       Canon PIXMA TS6070  (EXPERIMENTAL)(*1)
       Canon PIXMA TS6080  (EXPERIMENTAL)(*1)
       Canon PIXMA TS6090  (EXPERIMENTAL)(*1)

       Canon TS9000 series (EXPERIMENTAL)
       Canon PIXMA TS9010  (EXPERIMENTAL)(*1)
       Canon PIXMA TS6020  (EXPERIMENTAL)(*1)
       Canon PIXMA TS6030  (EXPERIMENTAL)(*1)
       Canon PIXMA TS6040  (EXPERIMENTAL)(*1)
       Canon PIXMA TS6050  (EXPERIMENTAL)(*1)
       Canon PIXMA TS6055  (EXPERIMENTAL)(*1)
       Canon PIXMA TS6060  (EXPERIMENTAL)(*1)
       Canon PIXMA TS6080  (EXPERIMENTAL)(*1)

       Canon iB4100 series (EXPERIMENTAL)
       Canon MAXIFY iB4110 (EXPERIMENTAL)(*1)
       Canon MAXIFY iB4120 (EXPERIMENTAL)(*1)
       Canon MAXIFY iB4130 (EXPERIMENTAL)(*1)
       Canon MAXIFY iB4140 (EXPERIMENTAL)(*1)
       Canon MAXIFY iB4150 (EXPERIMENTAL)(*1)
       Canon MAXIFY iB4160 (EXPERIMENTAL)(*1)
       Canon MAXIFY iB4170 (EXPERIMENTAL)(*1)
       Canon MAXIFY iB4180 (EXPERIMENTAL)(*1)
       Canon MAXIFY iB4190 (EXPERIMENTAL)(*1)

       Canon MB2100 series (EXPERIMENTAL)
       Canon MAXIFY MB2110 (EXPERIMENTAL)(*1)
       Canon MAXIFY MB2120 (EXPERIMENTAL)(*1)
       Canon MAXIFY MB2130 (EXPERIMENTAL)(*1)
       Canon MAXIFY MB2140 (EXPERIMENTAL)(*1)
       Canon MAXIFY MB2150 (EXPERIMENTAL)(*1)
       Canon MAXIFY MB2160 (EXPERIMENTAL)(*1)

       Canon MB2700 series (EXPERIMENTAL)
       Canon MAXIFY MB2710 (EXPERIMENTAL)(*1)
       Canon MAXIFY MB2720 (EXPERIMENTAL)(*1)
       Canon MAXIFY MB2730 (EXPERIMENTAL)(*1)
       Canon MAXIFY MB2740 (EXPERIMENTAL)(*1)
       Canon MAXIFY MB2750 (EXPERIMENTAL)(*1)
       Canon MAXIFY MB2760 (EXPERIMENTAL)(*1)
       Canon MAXIFY MB2790 (EXPERIMENTAL)(*1)

       Canon MB5100 series (EXPERIMENTAL)
       Canon MAXIFY MB5110 (EXPERIMENTAL)(*1)
       Canon MAXIFY MB5120 (EXPERIMENTAL)(*1)
       Canon MAXIFY MB5130 (EXPERIMENTAL)(*1)
       Canon MAXIFY MB5140 (EXPERIMENTAL)(*1)
       Canon MAXIFY MB5150 (EXPERIMENTAL)(*1)
       Canon MAXIFY MB5160 (EXPERIMENTAL)(*1)
       Canon MAXIFY MB5170 (EXPERIMENTAL)(*1)
       Canon MAXIFY MB5180 (EXPERIMENTAL)(*1)
       Canon MAXIFY MB5190 (EXPERIMENTAL)(*1)

       Canon MB5400 series (EXPERIMENTAL)
       Canon MAXIFY MB5410 (EXPERIMENTAL)(*1)
       Canon MAXIFY MB5420 (EXPERIMENTAL)(*1)
       Canon MAXIFY MB5430 (EXPERIMENTAL)(*1)
       Canon MAXIFY MB5440 (EXPERIMENTAL)(*1)
       Canon MAXIFY MB5450 (EXPERIMENTAL)(*1)
       Canon MAXIFY MB5460 (EXPERIMENTAL)(*1)
       Canon MAXIFY MB5470 (EXPERIMENTAL)(*1)
       Canon MAXIFY MB5480 (EXPERIMENTAL)(*1)
       Canon MAXIFY MB5490 (EXPERIMENTAL)(*1)

       Note 1: Added individual family
               instances, even though the
               printer identifies itself
               by a generic family
               identification string.

     * Added following models to existing series:

       MG2500 series:
         Canon PIXMA MG2522
         Canon PIXMA MG2525
         Canon PIXMA MG2540S
         Canon PIXMA MG2545S
         Canon PIXMA MG2550S
         Canon PIXMA MG2555S

       iB4000 series:
         Canon MAXIFY iB4090

     * Removed iP100 (unsupported)

     * Added duplex support to MP530

     * Improved duplex support for the following models:

       MG3600 series
       MG5600 series
       MG5700 series
       MG6600 series
       MG6800 series
       iB4000 series
       MB2000 series
       MB2300 series
       MB5000 series
       MB5300 series

     * Corrected black-only and color-only cartridge support for MP230
       series

     * Improved printer firmware papersize detection when using
       automatic paper source selection (Autofeed), by changing paper
       width from calculated to a constant value for paper sizes known
       to the driver.

     * Added several resolution modes for Pro9500

  6) Added the Datamax-O'Neil H class series of printers.

  7) Added the two Honeywell printers, RP2 (SAV2) and RP4 (SAV4).


* Changes from 5.2.11

  1) The Ghostscript IJS driver and Foomatic data generator have been
     removed.  CUPS is ubiquitous on Linux/UNIX systems, and the
     Ghostscript IJS driver and Foomatic data are not needed with
     CUPS.

  2) Added support for the following dye sublimation printers:

        Canon SELPHY CP1000
	Canon SELPHY CP1200
	Fujifilm ASK-300      [*2] [experimental]
	Mitsubishi CP-9500DW       [experimental]
	Mitsubishi CP-9600DW
	Mitsubishi CP-9800DW       [experimental]
	Mitsubishi CP-9800DW-S	   [experimental]
	Mitsubishi CP-D90DW        [experimental]
	DNP DS-RX1HS
	DNP DS820/DS820A
	Kodak Professional 8800    [experimental]

  3) Improved support (and bugfixes) for the following dye sublimation
     printers:

        Canon SELPHY CP820    [*3]
        Canon SELPHY CP910
	Ciaat Brava 21        [*1]
	Citizen CW-02              [experimental]
	DNP DS620/DS620A
	DNP DS40
	DNP DS80
	DNP RX1
	DNP DS80DX                 [experimental]
	Kodak 305             [*2]
	Kodak 6850
	Kodak 8500                 [experimental]
	Kodak 9810		   [experimental]
	Mitsubishi CP-9550DW
	Mitsubishi CP-9550DW-S
	Mitsubishi CP-9810DW       [experimental]
	Mitsubishi CP-D70DW   [*2]
	Mitsubishi CP-D707DW  [*2] [experimental]
	Mitsubishi CP-D80DW   [*2]
	Mitsubishi CP-K60DW-S [*2]
	Sinfonia S1245/CE          [experimental]
	Sinfonia S2145/CS
	Sinfonia S6145/CS2    [*1]
	Sinfonia S6245/CE2         [experimental]
	Sony UP-DR150
	Sony UP-DR200

     [*1] Optimal quality requires use of an external image processing
          library.  Two options are available:

	  * libS6145ImageProcess -- Officially supported by Sinfonia,
	    this library is proprietary, available only on a few platforms,
	    and use requires a written license from Sinfonia.

	  * libS6145ImageReProcess -- A reverse-engineered replacement
	    for the Sinfonia library, released under the terms of
	    the GNU GPLv3+.  Sinfonia does not support this in any way.
	    Unfortunately, at this time it cannot be bundled with Gutenprint.

          The backend will attempt to dynamically load the library at
	  runtime, and will log an appropriate message if it is or is not
	  successful.

	  Note that without the library, the printer will function but
	  the output image quality will be quite poor.

     [*2] Printing requires use of an external image processing library.
	  Only one option is available:

	  * libMitsuD70ImageReProcess -- A reverse-engineered implementation
	    of the Mitsubishi algorithms, relased under the terms of the GNU
	    GPLv3+.  Mitsubishi does not support this in any way.
	    Unfortunately, at this time it cannot be bundled with Gutenprint.

          The backend will attempt to dynamically load the library at
	  runtime, and will log an appropriate message if it is or is not
	  successful.

	  Note that without the library, the printer will not be able to
	  successfully print.  Work is underway on a crude fallback that will
	  at least generate (very poor quality) output.

     [*3] The USB PID for the CP820 is unknown at this time,
          so will not be claimed by the improved backend.

  4) Dye-sublimation backend now reports media status via standard
     CUPS marker attributes.  This applies to all models except for:

	Kodak 805 and 1400
	Sony UP-DR150, UP-DR200, and UP-SL10

  5) Added support for the following Epson inkjet printers:

	Epson L1300
	Epson ME Office 82WD
	Epson ME Office 85ND
	Epson ME Office 900WD
	Epson ME Office 960FWD
	Epson PX 203
	Epson PX 503A
	Epson PX 603F
	Epson Stylus Office B42WD
	Epson Stylus Office BX525WD
	Epson Stylus Office BX625WD
	Epson Stylus Office NX625
	Epson Stylus Office SX620FW
	Epson Stylus Office T42WD
	Epson Stylus Office TX560WD
	Epson WorkForce 60
	Epson WorkForce 625
	Epson WorkForce 633
	Epson Stylus XP100 	     	   	  [experimental]
	Epson SureColor P400 	     	   	  [experimental]
	Epson SureColor P600 	     	   	  [experimental]
	Epson SureColor P800 	     	   	  [experimental]
	Epson SureColor P6000 	     	   	  [experimental]
	Epson SureColor P7000 	     	   	  [experimental]
	Epson SureColor P7000 Commercial Edition  [experimental] [*1]
	Epson SureColor P8000 	     	   	  [experimental]
	Epson SureColor P9000 Commercial Edition  [experimental] [*1]
	Epson SureColor P10000 	     	   	  [experimental] [*2]
	Epson SureColor P20000 	     	   	  [experimental] [*2]

     [*1] Violet ink is not supported in the Epson SureColor P7000 and
     	  P9000 Commercial Editions.

     [*2] Only three levels of gray are supported in the Epson
     	  SureColor P10000 and P20000.

  6) Added support for most of the Datamax-O'Neil DPL printers:

	Datamax O'Neil I4212e
	Datamax O'Neil I4310e
	Datamax O'Neil I4606e
	Datamax O'Neil E4204B
	Datamax O'Neil E4304B
	Datamax O'Neil E4205A
	Datamax O'Neil E4305A
	Datamax O'Neil E4206P
	Datamax O'Neil E4305P
	Datamax O'Neil E4206L
	Datamax O'Neil E4305L
	Datamax O'Neil RL3e			[experimental]
	Datamax O'Neil RL4e			[experimental]

  7) Added support for the following laser printer:

	OKI B430

  8) Improved support for the following Canon inkjet printers:

	Canon BJC-2000
	Canon BJC-2010
	Canon BJC-2100
	Canon BJC-2110

  9) Added duplex support for the following Canon inkjet printers:

	Canon iB4000
	Canon MB2000
	Canon MB2300
	Canon MB5000
	Canon MB5300

  10) Removed support for the following laser printer, as on further
    investigation we have determined that it cannot be supported:

	Brother HL-1430

  11) Added support for the following thermal transfer printer:

	Mitsubishi P95DW


* Changes from 5.2.10

  1) Added support for the following dye sublimation printers:

	Canon SELPHY CP820/CP910
	DNP DS620
	Citizen CW-01 / Olmec OP900
	Mitsubishi CP3800DW
	Mitsubishi CP-9550DW-S
	Kodak 8810		  [experimental]
	Kodak 7000/7010/7015	  [experimental]
	Sony UP-CR10/DNP SL10	  [experimental]
	DNP DS80DX                [experimental]
	Sinfonia S1245/CE	  [experimental]
	Sinfonia S6245/CE2	  [experimental]
	Kodak 305		  [experimental] [*1]
	Ciaat Brava 21		  [experimental] [*1]
	Mitsubishi CP-D80DW	  [experimental] [*1]
	Sinfonia S6145/CS2	  [experimental] [*1]

     [*1] Please note that these models utilize a print engine that
	  requires the host system to process the print data using
	  unknown algorithms.  Until these algorithms can be determined
	  and re-implemented, these models are unsuitable for general
	  use due to very poor output quality.

  2) Enhanced support (and bugfixes) for the following dye sublimation
     printers:

      Added multicut (eg 2*2x6) support:

	Citizen CX/CX-W/CY
	DNP DS40/DS80/RX1
	Sony UP-DR200
	Sinfonia S2145/CS
	Mitsubishi CP-9550 family
	Mitsubishi CP-D70DW/D707DW/K60DW-S [experimental] [*1]

      Improved 5x7 support:

	Citizen CX/CY
	DNP DS40/RX1

      General backend stability and robustness:

	Canon SELPHY CP900
	Citizen CX/CX-WCY
	DNP DS40/DS80/RX1
	Kodak 605
	Kodak 6800/6850
	Kodak 1400/805
	Mitsubishi CP-9550 family
	Sony UP-DR200
	Mitsubishi CP-D70DW/D707DW/K60DW-S [experimental] [*1]

     [*1] Please note that these models utilize a print engine that
	  requires the host system to process the print data using
	  unknown algorithms.  Until these algorithms can be determined
	  and re-implemented, these models are unsuitable for general
	  use due to very poor output quality.

  3) Added support for the Datamax-O'Neil PCL printers, the Performance
     series (p1115, p1115s, p1120n, p1125, p1725, h8308) and the
     Datamax-O'Neil Workstation printer.

     Also added common Imperial and Metric label sizes to the Paper
     Selection menu.

  4) Added support for the following Epson inkjet printers:

     EPSON L120
     EPSON L210
     EPSON L1800 (preliminary)

  5) Add support for the following laser printer:

     Kyocera FS-1135MFP

  6) Canon inkjet driver enhancements:

     Added support for following models:

	Canon PIXMA P200    (EXPERIMENTAL)

	Canon PIXUS MP55    (EXPERIMENTAL)
	Canon SmartBase MPC400 (EXPERIMENTAL)
	Canon SmartBase MPC600F (EXPERIMENTAL)

	Canon E400 series   (EXPERIMENTAL)
	Canon PIXMA E400    (EXPERIMENTAL)(*1)
	Canon PIXMA E401    (EXPERIMENTAL)(*1)
	Canon PIXMA E404    (EXPERIMENTAL)(*1)
	Canon PIXMA E408    (EXPERIMENTAL)(*1)
	Canon PIXMA E409    (EXPERIMENTAL)(*1)

	Canon E460 series   (EXPERIMENTAL)
	Canon PIXMA E460    (EXPERIMENTAL)(*1)
	Canon PIXMA E461    (EXPERIMENTAL)(*1)
	Canon PIXMA E464    (EXPERIMENTAL)(*1)
	Canon PIXMA E468    (EXPERIMENTAL)(*1)

	Canon E480 series   (EXPERIMENTAL)
	Canon PIXMA E480    (EXPERIMENTAL)(*1)
	Canon PIXMA E481    (EXPERIMENTAL)(*1)
	Canon PIXMA E484    (EXPERIMENTAL)(*1)
	Canon PIXMA E488    (EXPERIMENTAL)(*1)
	Canon PIXMA E489    (EXPERIMENTAL)(*1)

	Canon E560 series   (EXPERIMENTAL)
	Canon PIXMA E560    (EXPERIMENTAL)(*1)
	Canon PIXMA E568    (EXPERIMENTAL)(*1)
	Canon PIXMA E569    (EXPERIMENTAL)(*1)

	Canon iP110 series  (EXPERIMENTAL)
	Canon PIXMA iP110   (EXPERIMENTAL)(*1)
	Canon PIXUS iP110   (EXPERIMENTAL)(*1)

	Canon iP2800 series (EXPERIMENTAL)
	Canon PIXMA iP2810  (EXPERIMENTAL)(*1)
	Canon PIXMA iP2820  (EXPERIMENTAL)(*1)
	Canon PIXMA iP2840  (EXPERIMENTAL)(*1)
	Canon PIXMA iP2850  (EXPERIMENTAL)(*1)
	Canon PIXMA iP2870  (EXPERIMENTAL)(*1)
	Canon PIXMA iP2872  (EXPERIMENTAL)(*1)
	Canon PIXMA iP2880  (EXPERIMENTAL)(*1)
	Canon PIXMA iP2890  (EXPERIMENTAL)(*1)

	Canon iP8700 series (EXPERIMENTAL)
	Canon PIXMA iP8710  (EXPERIMENTAL)(*1)
	Canon PIXMA iP8720  (EXPERIMENTAL)(*1)
	Canon PIXUS iP8730  (EXPERIMENTAL)(*1)
	Canon PIXMA iP8740  (EXPERIMENTAL)(*1)
	Canon PIXMA iP8750  (EXPERIMENTAL)(*1)
	Canon PIXMA iP8760  (EXPERIMENTAL)(*1)
	Canon PIXMA iP8770  (EXPERIMENTAL)(*1)
	Canon PIXMA iP8780  (EXPERIMENTAL)(*1)

	Canon iX6700 series (EXPERIMENTAL)
	Canon PIXMA iX6770  (EXPERIMENTAL)(*1)
	Canon PIXMA iX6780  (EXPERIMENTAL)(*1)

	Canon iX6800 series (EXPERIMENTAL)
	Canon PIXMA iX6810  (EXPERIMENTAL)(*1)
	Canon PIXMA iX6820  (EXPERIMENTAL)(*1)
	Canon PIXUS iX6830  (EXPERIMENTAL)(*1)
	Canon PIXMA iX6840  (EXPERIMENTAL)(*1)
	Canon PIXMA iX6850  (EXPERIMENTAL)(*1)
	Canon PIXMA iX6860  (EXPERIMENTAL)(*1)
	Canon PIXMA iX6870  (EXPERIMENTAL)(*1)
	Canon PIXMA iX6880  (EXPERIMENTAL)(*1)

	Canon MX470 series  (EXPERIMENTAL)
	Canon PIXMA MX471   (EXPERIMENTAL)(*1)
	Canon PIXMA MX472   (EXPERIMENTAL)(*1)
	Canon PIXMA MX474   (EXPERIMENTAL)(*1)
	Canon PIXMA MX475   (EXPERIMENTAL)(*1)
	Canon PIXMA MX476   (EXPERIMENTAL)(*1)
	Canon PIXMA MX477   (EXPERIMENTAL)(*1)
	Canon PIXMA MX478   (EXPERIMENTAL)(*1)
	Canon PIXMA MX479   (EXPERIMENTAL)(*1)

	Canon MX490 series  (EXPERIMENTAL)
	Canon PIXMA MX492   (EXPERIMENTAL)(*1)
	Canon PIXMA MX494   (EXPERIMENTAL)(*1)
	Canon PIXMA MX495   (EXPERIMENTAL)(*1)
	Canon PIXMA MX496   (EXPERIMENTAL)(*1)
	Canon PIXMA MX497   (EXPERIMENTAL)(*1)
	Canon PIXMA MX498   (EXPERIMENTAL)(*1)
	Canon PIXMA MX499   (EXPERIMENTAL)(*1)

	Canon MX530 series  (EXPERIMENTAL)
	Canon PIXMA MX531   (EXPERIMENTAL)(*1)
	Canon PIXMA MX532   (EXPERIMENTAL)(*1)
	Canon PIXMA MX534   (EXPERIMENTAL)(*1)
	Canon PIXMA MX535   (EXPERIMENTAL)(*1)
	Canon PIXMA MX536   (EXPERIMENTAL)(*1)
	Canon PIXMA MX537   (EXPERIMENTAL)(*1)
	Canon PIXMA MX538   (EXPERIMENTAL)(*1)

	Canon MG2900 series (EXPERIMENTAL)
	Canon PIXMA MG2910  (EXPERIMENTAL)(*1)
	Canon PIXMA MG2920  (EXPERIMENTAL)(*1)
	Canon PIXMA MG2940  (EXPERIMENTAL)(*1)
	Canon PIXMA MG2950  (EXPERIMENTAL)(*1)
	Canon PIXMA MG2960  (EXPERIMENTAL)(*1)
	Canon PIXMA MG2970  (EXPERIMENTAL)(*1)
	Canon PIXMA MG2980  (EXPERIMENTAL)(*1)
	Canon PIXMA MG2990  (EXPERIMENTAL)(*1)

	Canon MG3600 series (EXPERIMENTAL)
	Canon PIXMA MG3610  (EXPERIMENTAL)(*1)
	Canon PIXMA MG3620  (EXPERIMENTAL)(*1)
	Canon PIXMA MG3630  (EXPERIMENTAL)(*1)
	Canon PIXMA MG3640  (EXPERIMENTAL)(*1)
	Canon PIXMA MG3650  (EXPERIMENTAL)(*1)
	Canon PIXMA MG3670  (EXPERIMENTAL)(*1)
	Canon PIXMA MG3680  (EXPERIMENTAL)(*1)

	Canon MG5600 series (EXPERIMENTAL)
	Canon PIXMA MG5610  (EXPERIMENTAL)(*1)
	Canon PIXMA MG5620  (EXPERIMENTAL)(*1)
	Canon PIXMA MG5622  (EXPERIMENTAL)(*1)
	Canon PIXUS MG5630  (EXPERIMENTAL)(*1)
	Canon PIXMA MG5640  (EXPERIMENTAL)(*1)
	Canon PIXMA MG5650  (EXPERIMENTAL)(*1)
	Canon PIXMA MG5660  (EXPERIMENTAL)(*1)
	Canon PIXMA MG5670  (EXPERIMENTAL)(*1)
	Canon Mommy Photo MG5670 (EXPERIMENTAL)(*1)
	Canon PIXMA MG5680  (EXPERIMENTAL)(*1)

	Canon MG5700 series (EXPERIMENTAL)
	Canon PIXMA MG5710  (EXPERIMENTAL)(*1)
	Canon PIXMA MG5720  (EXPERIMENTAL)(*1)
	Canon PIXMA MG5721  (EXPERIMENTAL)(*1)
	Canon PIXMA MG5722  (EXPERIMENTAL)(*1)
	Canon PIXUS MG5730  (EXPERIMENTAL)(*1)
	Canon PIXMA MG5740  (EXPERIMENTAL)(*1)
	Canon PIXMA MG5750  (EXPERIMENTAL)(*1)
	Canon PIXMA MG5751  (EXPERIMENTAL)(*1)
	Canon PIXMA MG5752  (EXPERIMENTAL)(*1)
	Canon PIXMA MG5753  (EXPERIMENTAL)(*1)
	Canon PIXMA MG5770  (EXPERIMENTAL)(*1)
	Canon PIXMA MG5780  (EXPERIMENTAL)(*1)
	Canon PIXMA MG5790  (EXPERIMENTAL)(*1)
	Canon Mommy Photo MG5790 (EXPERIMENTAL)(*1)
	Canon PIXMA MG5795  (EXPERIMENTAL)(*1)

	Canon MG6600 series (EXPERIMENTAL)
	Canon PIXMA MG6610  (EXPERIMENTAL)(*1)
	Canon PIXMA MG6620  (EXPERIMENTAL)(*1)
	Canon PIXMA MG6622  (EXPERIMENTAL)(*1)
	Canon PIXMA MG6640  (EXPERIMENTAL)(*1)
	Canon PIXMA MG6650  (EXPERIMENTAL)(*1)
	Canon PIXMA MG6660  (EXPERIMENTAL)(*1)
	Canon PIXMA MG6670  (EXPERIMENTAL)(*1)
	Canon Mommy Photo MG6670 (EXPERIMENTAL)(*1)
	Canon PIXMA MG6680  (EXPERIMENTAL)(*1)

	Canon MG6700 series (EXPERIMENTAL)
	Canon PIXUS MG6730  (EXPERIMENTAL)(*1)

	Canon MG6800 series (EXPERIMENTAL)
	Canon PIXMA MG6810  (EXPERIMENTAL)(*1)
	Canon PIXMA MG6820  (EXPERIMENTAL)(*1)
	Canon PIXMA MG6821  (EXPERIMENTAL)(*1)
	Canon PIXMA MG6822  (EXPERIMENTAL)(*1)
	Canon PIXMA MG6840  (EXPERIMENTAL)(*1)
	Canon PIXMA MG6850  (EXPERIMENTAL)(*1)
	Canon PIXMA MG6851  (EXPERIMENTAL)(*1)
	Canon PIXMA MG6852  (EXPERIMENTAL)(*1)
	Canon PIXMA MG6853  (EXPERIMENTAL)(*1)
	Canon PIXMA MG6870  (EXPERIMENTAL)(*1)
	Canon PIXMA MG6880  (EXPERIMENTAL)(*1)

	Canon MG6900 series (EXPERIMENTAL)
	Canon PIXUS MG6930  (EXPERIMENTAL)(*1)

	Canon MG7500 series (EXPERIMENTAL)
	Canon PIXMA MG7510  (EXPERIMENTAL)(*1)
	Canon PIXMA MG7520  (EXPERIMENTAL)(*1)
	Canon PIXUS MG7530  (EXPERIMENTAL)(*1)
	Canon PIXMA MG7540  (EXPERIMENTAL)(*1)
	Canon PIXMA MG7550  (EXPERIMENTAL)(*1)
	Canon PIXMA MG7560  (EXPERIMENTAL)(*1)
	Canon PIXMA MG7570  (EXPERIMENTAL)(*1)
	Canon Mommy Photo MG7570 (EXPERIMENTAL)(*1)
	Canon PIXMA MG7580  (EXPERIMENTAL)(*1)

	Canon MG7700 series (EXPERIMENTAL)
	Canon PIXMA MG7710  (EXPERIMENTAL)(*1)
	Canon PIXMA MG7720  (EXPERIMENTAL)(*1)
	Canon PIXUS MG7730  (EXPERIMENTAL)(*1)
	Canon PIXUS MG7730F (EXPERIMENTAL)(*1)
	Canon PIXMA MG7740  (EXPERIMENTAL)(*1)
	Canon PIXMA MG7750  (EXPERIMENTAL)(*1)
	Canon PIXMA MG7751  (EXPERIMENTAL)(*1)
	Canon PIXMA MG7752  (EXPERIMENTAL)(*1)
	Canon PIXMA MG7753  (EXPERIMENTAL)(*1)
	Canon PIXMA MG7770  (EXPERIMENTAL)(*1)
	Canon PIXMA MG7780  (EXPERIMENTAL)(*1)
	Canon PIXMA MG7790  (EXPERIMENTAL)(*1)

	Canon iB4000 series (EXPERIMENTAL)
	Canon MAXIFY iB4010 (EXPERIMENTAL)(*1)
	Canon MAXIFY iB4020 (EXPERIMENTAL)(*1)
	Canon MAXIFY iB4030 (EXPERIMENTAL)(*1)
	Canon MAXIFY iB4040 (EXPERIMENTAL)(*1)
	Canon MAXIFY iB4050 (EXPERIMENTAL)(*1)
	Canon MAXIFY iB4060 (EXPERIMENTAL)(*1)
	Canon MAXIFY iB4070 (EXPERIMENTAL)(*1)
	Canon MAXIFY iB4080 (EXPERIMENTAL)(*1)

	Canon MB2000 series (EXPERIMENTAL)
	Canon MAXIFY MB2010 (EXPERIMENTAL)(*1)
	Canon MAXIFY MB2020 (EXPERIMENTAL)(*1)
	Canon MAXIFY MB2030 (EXPERIMENTAL)(*1)
	Canon MAXIFY MB2040 (EXPERIMENTAL)(*1)
	Canon MAXIFY MB2050 (EXPERIMENTAL)(*1)
	Canon MAXIFY MB2060 (EXPERIMENTAL)(*1)

	Canon MB2300 series (EXPERIMENTAL)
	Canon MAXIFY MB2320 (EXPERIMENTAL)(*1)
	Canon MAXIFY MB2330 (EXPERIMENTAL)(*1)
	Canon MAXIFY MB2340 (EXPERIMENTAL)(*1)
	Canon MAXIFY MB2350 (EXPERIMENTAL)(*1)
	Canon MAXIFY MB2360 (EXPERIMENTAL)(*1)
	Canon MAXIFY MB2390 (EXPERIMENTAL)(*1)

	Canon MB5000 series (EXPERIMENTAL)
	Canon MAXIFY MB5020 (EXPERIMENTAL)(*1)
	Canon MAXIFY MB5030 (EXPERIMENTAL)(*1)
	Canon MAXIFY MB5040 (EXPERIMENTAL)(*1)
	Canon MAXIFY MB5050 (EXPERIMENTAL)(*1)
	Canon MAXIFY MB5060 (EXPERIMENTAL)(*1)
	Canon MAXIFY MB5070 (EXPERIMENTAL)(*1)
	Canon MAXIFY MB5080 (EXPERIMENTAL)(*1)
	Canon MAXIFY MB5090 (EXPERIMENTAL)(*1)

	Canon MB5300 series (EXPERIMENTAL)
	Canon MAXIFY MB5310 (EXPERIMENTAL)(*1)
	Canon MAXIFY MB5320 (EXPERIMENTAL)(*1)
	Canon MAXIFY MB5330 (EXPERIMENTAL)(*1)
	Canon MAXIFY MB5340 (EXPERIMENTAL)(*1)
	Canon MAXIFY MB5350 (EXPERIMENTAL)(*1)
	Canon MAXIFY MB5360 (EXPERIMENTAL)(*1)
	Canon MAXIFY MB5370 (EXPERIMENTAL)(*1)
	Canon MAXIFY MB5390 (EXPERIMENTAL)(*1)

        Note 1: Added individual family
                instances, even though the
                printer identifies itself
                by a generic family
                identification string.

     Added following models to existing series:

 	Canon E510 series:
	  Canon PIXMA E514

 	Canon MP620 series:
	  Canon PIXMA MP620B

 	Canon MP640 series:
	  Canon PIXMA MP640R

 	Canon MX490 series:
	  Canon PIXMA MX490

 	Canon MG2400 series:
	  Canon PIXMA MG2460
	  Canon PIXMA MG2490

 	Canon MG2500 series:
	  Canon PIXMA MG2570S
	  Canon PIXMA MG2580S
	  Canon PIXMA MG2590

 	Canon MG2900 series:
	  Canon PIXMA MG2922
	  Canon PIXMA MG2924

 	Canon MG3500 series:
	  Canon PIXMA MG3522

 	Canon MG7500 series:
	  Canon PIXUS MG7530F

 	Canon MG8100 series:
	  Canon PIXMA MG8120B

     Added following existing PIXMA models also as PIXUS models:

 	Canon PIXUS mini220
	Canon PIXUS mini360

     Added following existing PIXMA models also as PIXUS models,
     and generic series model:

	Canon iP90 series
	Canon PIXUS iP90
	Canon PIXUS ip90v
	Canon Canon iP100 series
	Canon PIXUS iP100
	Canon iP2000 series
	Canon PIXUS iP2000

     Duplex support improved (non-tumble).

     Duplex option added to following printers:

	Canon MP750 series
	Canon PIXMA MP750
	Canon MP760 series
	Canon PIXMA MP760
	Canon MP770 series
	Canon PIXMA MP770 (does not exist)
	Canon PIXUS MP770
	Canon MP780 series
	Canon PIXMA MP780
	Canon MP790 series
	Canon PIXMA MP790 (does not exist)
	Canon PIXUS MP790

     Resolution modes corrected for following printers:

	Canon MG5400 series
	Canon MG6300 series

    Added support for upper/lower tray in cassette for following models:

	Canon MG5400 series
	Canon MG6300 series
	Canon MG6500 series
	Canon MG6700 series
	Canon MG7100 series
	Canon MG7500 series
	Canon iP7200 series
	Canon MX720 series
	Canon MX920 series

    Added prefix PIXUS to the Japanese i/R/PD models:

	Canon PIXUS 50i
	Canon PIXUS 80i
	Canon PIXUS 450i
	Canon PIXUS 455i
	Canon PIXUS 470PD
	Canon PIXUS 475PD
	Canon PIXUS 550i
	Canon PIXUS 560i
	Canon PIXUS 850i
	Canon PIXUS 860i
	Canon PIXUS 865R
	Canon PIXUS 900PD
	Canon PIXUS 950i
	Canon PIXUS 960i
	Canon PIXUS 990i
	Canon PIXUS 6100i
	Canon PIXUS 6500i
	Canon PIXUS 9100i
	Canon PIXUS 9900i

    Improved support for following models:

	Canon BJC 4300

  7) Canon inkjet driver bugfixes:

     6.1 Ink compression fixed

     A problem with a new ink level compression added in 5.2.7 had
     affected multiple printer models. The bug has been fixed in the
     present release, thus all modes previously affected should work
     normally.

     The list of models to which this applies is as follows:

	Canon BJC S600
	Canon BJC S630
	Canon BJC S800
	Canon BJC S820
	Canon BJC S900
	Canon BJC S9000
	Canon BJC i950
	Canon BJC i960
	Canon BJC i965
	Canon BJC i990
	Canon BJC i9100
	Canon BJC i9900
	Canon BJC i9950
	Canon BJC 950i
	Canon BJC 960i
	Canon BJC 990i
	Canon BJC 9100i
	Canon BJC 9900i
	Canon MP900
	Canon iP7100
	Canon iP8100
	Canon iP8500
	Canon iP8600
	Canon iP9910
	Canon Pro 9000
	Canon Pro 9000 Mk.II
	Canon Pro 9500
	Canon Pro 9500 Mk.II

     6.2 Legacy modes reinstated

     Modes removed in 5.2.7 were reinstated marked as legacy modes for
     the following models:

        Canon BJC S300
	Canon BJC S600
	Canon BJC S630
	Canon BJC S800


* Changes from 5.2.9

  1) Added a unified CUPS backend to support selected dye sublimation
     printers.

     A new CUPS backend was added to support USB printers that require a
     special communications protocol. The backend is called
     'gutenprint52usb' and requires libusb 1.0 (or newer) in order to build.

     The following dye-sublimation printers require this backend in order
     to function properly:

        Canon SELPHY ES series  (All models)  (*1)
	Canon SELPHY CP series  (All models)  (*1)
	Kodak Professional 1400
	Kodak 805 Photo Printer
   	Kodak 6800 Photo Printer
   	Kodak 6850 Photo Printer
	Kodak 605 Photo Printer
   	Shinko/Sinfonia CHC-S2145
   	Sony UP-DR150  (*1)
        Sony UP-DR200
	DNP DS40  (*1)
	DNP DS80  (*1)
	DNP DS-RX1
	Citizen CX
	Citizen CX-W
	Citizen CY
        Mitsubishi CP-D70DW  (EXPERIMENTAL)
        Mitsubishi DP-D707DW (EXPERIMENTAL)

     *1) Please note that if you were using a Sony UP-DR150, DNP DS40/DS80,
	 or a Canon SELPHY printer with a previous Gutenprint release,
         you will need to remove and re-create your printer queue after
         the upgrade to 5.2.10 is complete.

     For further information about configuration and use of this CUPS
     backend, please see the README document, section II D.

  2) New printers supported in this release:

     - Epson inkjets:

       EPSON Stylus NX630
       EPSON Stylus NX635
       EPSON Stylus NX645
       EPSON Stylus SX630
       EPSON Stylus SX635
       EPSON Stylus SX645
       EPSON Stylus TX125
       EPSON Stylus TX630
       EPSON Stylus TX635
       EPSON Stylus TX645
       EPSON Stylus C92
       EPSON Stylus CX7300
       EPSON Stylus D78
       EPSON Stylus SX445W
       EPSON WorkForce WF-7010 (EXPERIMENTAL)
       EPSON WorkForce WF-7011 (EXPERIMENTAL)
       EPSON WorkForce WF-7015 (EXPERIMENTAL)
       EPSON WorkForce WF-7018 (EXPERIMENTAL)
       EPSON WorkForce WF-7510 (EXPERIMENTAL)
       EPSON WorkForce WF-7511 (EXPERIMENTAL)
       EPSON WorkForce WF-7515 (EXPERIMENTAL)
       EPSON WorkForce WF-7520 (EXPERIMENTAL)
       EPSON WorkForce WF-7521 (EXPERIMENTAL)
       EPSON WorkForce WF-7525 (EXPERIMENTAL)
       EPSON PX-1200 (EXPERIMENTAL)
       EPSON PX-1600F (EXPERIMENTAL)
       EPSON PX-1700F (EXPERIMENTAL)

     - Monochrome laser printers:

       OKI B401d

     - Canon inkjets:

       Canon MP140 series  (EXPERIMENTAL)(*1)
       Canon PIXMA MP145   (EXPERIMENTAL)(*2)

       Canon MP150 series  (EXPERIMENTAL)(*1)

       Canon MP160 series  (EXPERIMENTAL)(*1)

       Canon MP170 series  (EXPERIMENTAL)(*1)
       Canon PIXUS MP170   (EXPERIMENTAL)(*2)

       Canon MP180 series  (EXPERIMENTAL)(*1)

       Canon MP190 series  (EXPERIMENTAL)(*1)
       Canon PIXMA MP198   (EXPERIMENTAL)(*2)

       Canon MP210 series  (EXPERIMENTAL)(*1)
       Canon PIXMA MP218   (EXPERIMENTAL)(*2)

       Canon MP220 series  (EXPERIMENTAL)(*1)
       Canon PIXMA MP228   (EXPERIMENTAL)(*2)

       Canon MP230 series  (EXPERIMENTAL)
       Canon PIXMA MP230   (EXPERIMENTAL)(*2)
       Canon PIXMA MP236   (EXPERIMENTAL)(*2)
       Canon PIXMA MP237   (EXPERIMENTAL)(*2)

       Canon MP240 series  (EXPERIMENTAL)(*1)
       Canon PIXMA MP245   (EXPERIMENTAL)(*2)

       Canon MP250 series  (EXPERIMENTAL)(*1)
       Canon PIXMA MP252   (EXPERIMENTAL)(*2)
       Canon PIXMA MP258   (EXPERIMENTAL)(*2)
       Canon PIXMA MP259   (EXPERIMENTAL)(*2)

       Canon MP260 series  (EXPERIMENTAL)(*1)
       Canon PIXMA MP268   (EXPERIMENTAL)(*2)

       Canon MP270 series  (EXPERIMENTAL)(*1)
       Canon PIXUS MP270   (EXPERIMENTAL)(*2)
       Canon PIXMA MP272   (EXPERIMENTAL)(*2)
       Canon PIXMA MP276   (EXPERIMENTAL)(*2)

       Canon MP280 series  (EXPERIMENTAL)(*1)
       Canon PIXUS MP280   (EXPERIMENTAL)(*2)
       Canon PIXMA MP282   (EXPERIMENTAL)(*2)
       Canon PIXMA MP287   (EXPERIMENTAL)(*2)
       Canon PIXMA MP288   (EXPERIMENTAL)(*2)

       Canon MP360 series  (EXPERIMENTAL)(*1)
       Canon PIXUS MP360   (EXPERIMENTAL)(*2)
       Canon SmartBase MP360  (EXPERIMENTAL)(*2)
       Canon SmartBase MP360S (EXPERIMENTAL)(*2)
       Canon MultiPASS MP360  (EXPERIMENTAL)(*2)

       Canon MP370 series  (EXPERIMENTAL)(*1)
       Canon PIXUS MP370   (EXPERIMENTAL)(*2)
       Canon SmartBase MP370  (EXPERIMENTAL)(*2)
       Canon MultiPASS MP370  (EXPERIMENTAL)(*2)
       Canon PIXUS MP375R  (EXPERIMENTAL)(*2)

       Canon MP390 series  (EXPERIMENTAL)(*1)
       Canon PIXUS MP390   (EXPERIMENTAL)(*2)
       Canon SmartBase MP390  (EXPERIMENTAL)(*2)
       Canon MultiPASS MP390  (EXPERIMENTAL)(*2)

       Canon MP450 series  (EXPERIMENTAL)(*1)
       Canon PIXUS MP450   (EXPERIMENTAL)(*2)

       Canon MP460 series  (EXPERIMENTAL)(*1)
       Canon PIXUS MP460   (EXPERIMENTAL)(*2)

       Canon MP470 series  (EXPERIMENTAL)(*1)
       Canon PIXUS MP470   (EXPERIMENTAL)(*2)
       Canon PIXMA MP476   (EXPERIMENTAL)(*2)

       Canon MP480 series  (EXPERIMENTAL)(*1)
       Canon PIXUS MP480   (EXPERIMENTAL)(*2)
       Canon PIXMA MP486   (EXPERIMENTAL)(*2)

       Canon MP490 series  (EXPERIMENTAL)(*1)
       Canon PIXUS MP490   (EXPERIMENTAL)(*2)
       Canon PIXMA MP492   (EXPERIMENTAL)(*2)
       Canon PIXUS MP493   (EXPERIMENTAL)(*2)
       Canon PIXMA MP495   (EXPERIMENTAL)(*2)
       Canon PIXMA MP496   (EXPERIMENTAL)(*2)
       Canon PIXMA MP497   (EXPERIMENTAL)(*2)
       Canon PIXMA MP498   (EXPERIMENTAL)(*2)
       Canon PIXMA MP499   (EXPERIMENTAL)(*2)

       Canon MP500 series  (EXPERIMENTAL)(*1)
       Canon PIXUS MP500   (EXPERIMENTAL)(*2)

       Canon MP510 series  (EXPERIMENTAL)(*1)
       Canon PIXUS MP510   (EXPERIMENTAL)(*2)

       Canon MP520 series  (EXPERIMENTAL)(*1)
       Canon PIXUS MP520   (EXPERIMENTAL)(*2)

       Canon MP530 series  (EXPERIMENTAL)(*1)

       Canon MP540 series  (EXPERIMENTAL)(*1)
       Canon PIXUS MP540   (EXPERIMENTAL)(*2)
       Canon PIXMA MP545   (EXPERIMENTAL)(*2)

       Canon MP550 series  (EXPERIMENTAL)(*1)
       Canon PIXUS MP550   (EXPERIMENTAL)(*2)
       Canon PIXMA MP558   (EXPERIMENTAL)(*2)

       Canon MP560 series  (EXPERIMENTAL)(*1)
       Canon PIXUS MP560   (EXPERIMENTAL)(*2)
       Canon PIXMA MP568   (EXPERIMENTAL)(*2)

       Canon MP600 series  (EXPERIMENTAL)(*1)
       Canon PIXUS MP600   (EXPERIMENTAL)(*2)

       Canon MP610 series  (EXPERIMENTAL)(*1)
       Canon PIXUS MP610   (EXPERIMENTAL)(*2)

       Canon MP620 series  (EXPERIMENTAL)(*1)
       Canon PIXUS MP620   (EXPERIMENTAL)(*2)
       Canon PIXMA MP628   (EXPERIMENTAL)(*2)

       Canon MP630 series  (EXPERIMENTAL)(*1)
       Canon PIXUS MP630   (EXPERIMENTAL)(*2)
       Canon PIXMA MP638   (EXPERIMENTAL)(*2)

       Canon MP640 series  (EXPERIMENTAL)(*1)
       Canon PIXUS MP640   (EXPERIMENTAL)(*2)
       Canon PIXMA MP648   (EXPERIMENTAL)(*2)

       Canon MP700 series  (EXPERIMENTAL)(*1)
       Canon PIXUS MP700   (EXPERIMENTAL)(*2)
       Canon SmartBase MP700 (EXPERIMENTAL)(*2)
       Canon MultiPASS MP700 (EXPERIMENTAL)(*2)

       Canon MP710 series  (EXPERIMENTAL)(*1)
       Canon PIXUS MP710   (EXPERIMENTAL)(*2)
       Canon SmartBase MP710 (EXPERIMENTAL)(*2)
       Canon MultiPASS MP710 (EXPERIMENTAL)(*2)

       Canon MP730 series  (EXPERIMENTAL)(*1)
       Canon PIXUS MP730   (EXPERIMENTAL)(*2)
       Canon SmartBase MP730 (EXPERIMENTAL)(*2)
       Canon MultiPASS MP730 (EXPERIMENTAL)(*2)

       Canon MP740 series  (EXPERIMENTAL)(*1)
       Canon PIXUS MP740   (EXPERIMENTAL)(*2)
       Canon SmartBase MP740 (EXPERIMENTAL)(*2)
       Canon MultiPASS MP740 (EXPERIMENTAL)(*2)

       Canon MP750 series  (EXPERIMENTAL)(*1)

       Canon MP760 series  (EXPERIMENTAL)(*1)

       Canon MP770 series  (EXPERIMENTAL)(*1)
       Canon PIXUS MP700   (EXPERIMENTAL)(*2)

       Canon MP780 series  (EXPERIMENTAL)(*1)

       Canon MP790 series  (EXPERIMENTAL)(*1)
       Canon PIXUS MP790   (EXPERIMENTAL)(*2)

       Canon MP800 series  (EXPERIMENTAL)(*1)
       Canon PIXUS MP800   (EXPERIMENTAL)(*2)

       Canon MP810 series  (EXPERIMENTAL)(*1)
       Canon PIXUS MP810   (EXPERIMENTAL)(*2)

       Canon MP830 series  (EXPERIMENTAL)(*1)
       Canon PIXUS MP830   (EXPERIMENTAL)(*2)

       Canon MP900 series  (EXPERIMENTAL)(*1)
       Canon PIXUS MP900   (EXPERIMENTAL)(*2)

       Canon MP950 series  (EXPERIMENTAL)(*1)
       Canon PIXUS MP950   (EXPERIMENTAL)(*2)

       Canon MP960 series  (EXPERIMENTAL)(*1)
       Canon PIXUS MP960   (EXPERIMENTAL)(*2)

       Canon MP970 series  (EXPERIMENTAL)(*1)
       Canon PIXUS MP970   (EXPERIMENTAL)(*2)

       Canon MP980 series  (EXPERIMENTAL)(*1)
       Canon PIXUS MP980   (EXPERIMENTAL)(*2)
       Canon PIXMA MP988   (EXPERIMENTAL)(*2)

       Canon MP990 series  (EXPERIMENTAL)(*1)
       Canon PIXUS MP990   (EXPERIMENTAL)(*2)
       Canon PIXMA MP996   (EXPERIMENTAL)(*2)

       Canon MG2100 series (EXPERIMENTAL)(*1)
       Canon PIXMA MG2110  (EXPERIMENTAL)(*2)
       Canon PIXMA MG2120  (EXPERIMENTAL)(*2)
       Canon PIXUS MG2130  (EXPERIMENTAL)(*2)
       Canon PIXMA MG2140  (EXPERIMENTAL)(*2)
       Canon PIXMA MG2150  (EXPERIMENTAL)(*2)
       Canon PIXMA MG2160  (EXPERIMENTAL)(*2)
       Canon PIXMA MG2170  (EXPERIMENTAL)(*2)
       Canon PIXMA MG2180  (EXPERIMENTAL)(*2)

       Canon MG2200 series (EXPERIMENTAL)
       Canon PIXMA MG2210  (EXPERIMENTAL)(*2)
       Canon PIXMA MG2220  (EXPERIMENTAL)(*2)
       Canon PIXMA MG2240  (EXPERIMENTAL)(*2)
       Canon PIXMA MG2250  (EXPERIMENTAL)(*2)
       Canon PIXMA MG2260  (EXPERIMENTAL)(*2)
       Canon PIXMA MG2270  (EXPERIMENTAL)(*2)
       Canon PIXMA MG2280  (EXPERIMENTAL)(*2)

       Canon MG2400 series (EXPERIMENTAL)(*3)
       Canon PIXMA MG2400  (EXPERIMENTAL)
       Canon PIXMA MG2410  (EXPERIMENTAL)
       Canon PIXMA MG2420  (EXPERIMENTAL)
       Canon PIXMA MG2440  (EXPERIMENTAL)
       Canon PIXMA MG2450  (EXPERIMENTAL)
       Canon PIXMA MG2470  (EXPERIMENTAL)

       Canon MG2500 series (EXPERIMENTAL)(*3)
       Canon PIXMA MG2510  (EXPERIMENTAL)
       Canon PIXMA MG2520  (EXPERIMENTAL)
       Canon PIXMA MG2540  (EXPERIMENTAL)
       Canon PIXMA MG2550  (EXPERIMENTAL)
       Canon PIXMA MG2560  (EXPERIMENTAL)
       Canon PIXMA MG2570  (EXPERIMENTAL)
       Canon PIXMA MG2580  (EXPERIMENTAL)

       Canon MG3100 series (EXPERIMENTAL)(*1)
       Canon PIXMA MG3110  (EXPERIMENTAL)(*2)
       Canon PIXMA MG3120  (EXPERIMENTAL)(*2)
       Canon PIXMA MG3122  (EXPERIMENTAL)(*2)
       Canon PIXUS MG3130  (EXPERIMENTAL)(*2)
       Canon PIXMA MG3140  (EXPERIMENTAL)(*2)
       Canon PIXMA MG3150  (EXPERIMENTAL)(*2)
       Canon PIXMA MG3160  (EXPERIMENTAL)(*2)
       Canon PIXMA MG3170  (EXPERIMENTAL)(*2)
       Canon PIXMA MG3180  (EXPERIMENTAL)(*2)

       Canon MG3200 series (EXPERIMENTAL)
       Canon PIXMA MG3210  (EXPERIMENTAL)(*2)
       Canon PIXMA MG3220  (EXPERIMENTAL)(*2)
       Canon PIXMA MG3222  (EXPERIMENTAL)(*2)
       Canon PIXUS MG3230  (EXPERIMENTAL)(*2)
       Canon PIXMA MG3240  (EXPERIMENTAL)(*2)
       Canon PIXMA MG3250  (EXPERIMENTAL)(*2)
       Canon PIXMA MG3260  (EXPERIMENTAL)(*2)
       Canon PIXMA MG3270  (EXPERIMENTAL)(*2)

       Canon MG3500 series (EXPERIMENTAL)
       Canon PIXMA MG3510  (EXPERIMENTAL)
       Canon PIXMA MG3520  (EXPERIMENTAL)
       Canon PIXMA MG3530  (EXPERIMENTAL)
       Canon PIXMA MG3540  (EXPERIMENTAL)
       Canon PIXMA MG3550  (EXPERIMENTAL)
       Canon PIXMA MG3560  (EXPERIMENTAL)
       Canon PIXMA MG3570  (EXPERIMENTAL)
       Canon PIXMA MG3580  (EXPERIMENTAL)

       Canon MG4100 series (EXPERIMENTAL)(*1)
       Canon PIXMA MG4110  (EXPERIMENTAL)(*2)
       Canon PIXMA MG4120  (EXPERIMENTAL)(*2)
       Canon PIXUS MG4130  (EXPERIMENTAL)(*2)
       Canon PIXMA MG4140  (EXPERIMENTAL)(*2)
       Canon PIXMA MG4150  (EXPERIMENTAL)(*2)
       Canon PIXMA MG4160  (EXPERIMENTAL)(*2)
       Canon PIXMA MG4170  (EXPERIMENTAL)(*2)
       Canon PIXMA MG4180  (EXPERIMENTAL)(*2)

       Canon MG4200 series (EXPERIMENTAL)
       Canon PIXMA MG4210  (EXPERIMENTAL)(*2)
       Canon PIXMA MG4220  (EXPERIMENTAL)(*2)
       Canon PIXUS MG4230  (EXPERIMENTAL)(*2)
       Canon PIXMA MG4240  (EXPERIMENTAL)(*2)
       Canon PIXMA MG4250  (EXPERIMENTAL)(*2)
       Canon PIXMA MG4260  (EXPERIMENTAL)(*2)
       Canon PIXMA MG4270  (EXPERIMENTAL)(*2)
       Canon PIXMA MG4280  (EXPERIMENTAL)(*2)

       Canon MG5100 series (EXPERIMENTAL)(*1)
       Canon PIXMA MG5120  (EXPERIMENTAL)(*2)
       Canon PIXUS MG5130  (EXPERIMENTAL)(*2)
       Canon PIXMA MG5140  (EXPERIMENTAL)(*2)
       Canon PIXMA MG5150  (EXPERIMENTAL)(*2)
       Canon PIXMA MG5170  (EXPERIMENTAL)(*2)
       Canon PIXMA MG5180  (EXPERIMENTAL)(*2)

       Canon MG5200 series (EXPERIMENTAL)(*1)
       Canon PIXMA MG5210  (EXPERIMENTAL)(*2)
       Canon PIXMA MG5220  (EXPERIMENTAL)(*2)
       Canon PIXUS MG5230  (EXPERIMENTAL)(*2)
       Canon PIXMA MG5240  (EXPERIMENTAL)(*2)
       Canon PIXMA MG5250  (EXPERIMENTAL)(*2)
       Canon PIXMA MG5270  (EXPERIMENTAL)(*2)
       Canon PIXMA MG5280  (EXPERIMENTAL)(*2)

       Canon MG5300 series (EXPERIMENTAL)(*1)
       Canon PIXMA MG5310  (EXPERIMENTAL)(*2)
       Canon PIXMA MG5320  (EXPERIMENTAL)(*2)
       Canon PIXUS MG5330  (EXPERIMENTAL)(*2)
       Canon PIXMA MG5340  (EXPERIMENTAL)(*2)
       Canon PIXMA MG5350  (EXPERIMENTAL)(*2)
       Canon PIXMA MG5370  (EXPERIMENTAL)(*2)
       Canon PIXMA MG5380  (EXPERIMENTAL)(*2)

       Canon MG5400 series (EXPERIMENTAL)
       Canon PIXMA MG5410  (EXPERIMENTAL)(*2)
       Canon PIXMA MG5420  (EXPERIMENTAL)(*2)
       Canon PIXMA MG5422  (EXPERIMENTAL)(*2)
       Canon PIXUS MG5430  (EXPERIMENTAL)(*2)
       Canon PIXMA MG5440  (EXPERIMENTAL)(*2)
       Canon PIXMA MG5450  (EXPERIMENTAL)(*2)
       Canon PIXMA MG5460  (EXPERIMENTAL)(*2)
       Canon PIXMA MG5470  (EXPERIMENTAL)(*2)
       Canon PIXMA MG5480  (EXPERIMENTAL)(*2)

       Canon MG5500 series (EXPERIMENTAL)
       Canon PIXMA MG5510  (EXPERIMENTAL)
       Canon PIXMA MG5520  (EXPERIMENTAL)
       Canon PIXMA MG5522  (EXPERIMENTAL)
       Canon PIXUS MG5530  (EXPERIMENTAL)
       Canon PIXMA MG5540  (EXPERIMENTAL)
       Canon PIXMA MG5550  (EXPERIMENTAL)
       Canon PIXMA MG5560  (EXPERIMENTAL)
       Canon PIXMA MG5570  (EXPERIMENTAL)
       Canon PIXMA MG5580  (EXPERIMENTAL)

       Canon MG6100 series (EXPERIMENTAL)(*1)
       Canon PIXMA MG6110  (EXPERIMENTAL)(*2)
       Canon PIXMA MG6120  (EXPERIMENTAL)(*2)
       Canon PIXUS MG6130  (EXPERIMENTAL)(*2)
       Canon PIXMA MG6140  (EXPERIMENTAL)(*2)
       Canon PIXMA MG6150  (EXPERIMENTAL)(*2)
       Canon PIXMA MG6170  (EXPERIMENTAL)(*2)
       Canon PIXMA MG6180  (EXPERIMENTAL)(*2)

       Canon MG6200 series (EXPERIMENTAL)(*1)
       Canon PIXMA MG6210  (EXPERIMENTAL)(*2)
       Canon PIXMA MG6220  (EXPERIMENTAL)(*2)
       Canon PIXUS MG6230  (EXPERIMENTAL)(*2)
       Canon PIXMA MG6240  (EXPERIMENTAL)(*2)
       Canon PIXMA MG6250  (EXPERIMENTAL)(*2)
       Canon PIXMA MG6270  (EXPERIMENTAL)(*2)
       Canon PIXMA MG6280  (EXPERIMENTAL)(*2)

       Canon MG6300 series (EXPERIMENTAL)
       Canon PIXMA MG6310  (EXPERIMENTAL)(*2)
       Canon PIXMA MG6320  (EXPERIMENTAL)(*2)
       Canon PIXUS MG6330  (EXPERIMENTAL)(*2)
       Canon PIXMA MG6340  (EXPERIMENTAL)(*2)
       Canon PIXMA MG6350  (EXPERIMENTAL)(*2)
       Canon PIXMA MG6360  (EXPERIMENTAL)(*2)
       Canon PIXMA MG6370  (EXPERIMENTAL)(*2)
       Canon PIXMA MG6380  (EXPERIMENTAL)(*2)

       Canon MG6400 series (EXPERIMENTAL)
       Canon PIXMA MG6400  (EXPERIMENTAL)
       Canon PIXMA MG6410  (EXPERIMENTAL)
       Canon PIXMA MG6420  (EXPERIMENTAL)
       Canon PIXMA MG6440  (EXPERIMENTAL)
       Canon PIXMA MG6450  (EXPERIMENTAL)
       Canon PIXMA MG6470  (EXPERIMENTAL)

       Canon MG6500 series (EXPERIMENTAL)
       Canon PIXUS MG6530  (EXPERIMENTAL)

       Canon MG7100 series (EXPERIMENTAL)
       Canon PIXMA MG7110  (EXPERIMENTAL)
       Canon PIXMA MG7120  (EXPERIMENTAL)
       Canon PIXUS MG7130  (EXPERIMENTAL)
       Canon PIXMA MG7140  (EXPERIMENTAL)
       Canon PIXMA MG7150  (EXPERIMENTAL)
       Canon PIXMA MG7170  (EXPERIMENTAL)
       Canon PIXMA MG7180  (EXPERIMENTAL)

       Canon MG8100 series (EXPERIMENTAL)(*1)
       Canon PIXMA MG8120  (EXPERIMENTAL)(*2)
       Canon PIXUS MG8130  (EXPERIMENTAL)(*2)
       Canon PIXMA MG8140  (EXPERIMENTAL)(*2)
       Canon PIXMA MG8150  (EXPERIMENTAL)(*2)
       Canon PIXMA MG8170  (EXPERIMENTAL)(*2)
       Canon PIXMA MG8180  (EXPERIMENTAL)(*2)

       Canon MG8200 series (EXPERIMENTAL)(*1)
       Canon PIXMA MG8220  (EXPERIMENTAL)(*2)
       Canon PIXUS MG8230  (EXPERIMENTAL)(*2)
       Canon PIXMA MG8240  (EXPERIMENTAL)(*2)
       Canon PIXMA MG8250  (EXPERIMENTAL)(*2)
       Canon PIXMA MG8270  (EXPERIMENTAL)(*2)
       Canon PIXMA MG8280  (EXPERIMENTAL)(*2)

       Canon iP2700 series (EXPERIMENTAL)(*1)
       Canon PIXMA iP2701  (EXPERIMENTAL)(*2)
       Canon PIXMA iP2702  (EXPERIMENTAL)(*2)
       Canon PIXMA iP2740  (EXPERIMENTAL)(*2)
       Canon PIXMA iP2760  (EXPERIMENTAL)(*2)
       Canon PIXMA iP2770  (EXPERIMENTAL)(*2)
       Canon PIXMA iP2772  (EXPERIMENTAL)(*2)
       Canon PIXMA iP2780  (EXPERIMENTAL)(*2)
       Canon PIXMA iP2788  (EXPERIMENTAL)(*2)

       Canon iP3100 series (EXPERIMENTAL)(*1)

       Canon iP3300 series (EXPERIMENTAL)(*1)
       Canon PIXUS iP3300  (EXPERIMENTAL)(*2)

       Canon iP3500 series (EXPERIMENTAL)(*1)
       Canon PIXUS iP3500  (EXPERIMENTAL)(*2)

       Canon iP3600 series (EXPERIMENTAL)(*1)
       Canon PIXUS iP3600  (EXPERIMENTAL)(*2)
       Canon PIXMA iP3680  (EXPERIMENTAL)(*2)

       Canon iP4100 series (EXPERIMENTAL)(*1)

       Canon iP4100R series (EXPERIMENTAL)(*1)
       Canon PIXUS iP4100R (EXPERIMENTAL)(*2)

       Canon iP4200 series (EXPERIMENTAL)(*1)
       Canon PIXUS iP4200 (EXPERIMENTAL)(*2)

       Canon iP4300 series (EXPERIMENTAL)(*1)
       Canon PIXUS iP4300 (EXPERIMENTAL)(*2)

       Canon iP4500 series (EXPERIMENTAL)(*1)
       Canon PIXUS iP4500  (EXPERIMENTAL)(*2)

       Canon iP4600 series (EXPERIMENTAL)(*1)
       Canon PIXUS iP4600  (EXPERIMENTAL)(*2)
       Canon PIXMA iP4680  (EXPERIMENTAL)(*2)

       Canon iP4700 series (EXPERIMENTAL)(*1)
       Canon PIXUS iP4700  (EXPERIMENTAL)(*2)
       Canon PIXMA iP4760  (EXPERIMENTAL)(*2)

       Canon iP4800 series (EXPERIMENTAL)(*1)
       Canon PIXMA iP4810  (EXPERIMENTAL)(*2)
       Canon PIXMA iP4820  (EXPERIMENTAL)(*2)
       Canon PIXUS iP4830  (EXPERIMENTAL)(*2)
       Canon PIXMA iP4840  (EXPERIMENTAL)(*2)
       Canon PIXMA iP4850  (EXPERIMENTAL)(*2)
       Canon PIXMA iP4870  (EXPERIMENTAL)(*2)
       Canon PIXMA iP4880  (EXPERIMENTAL)(*2)

       Canon iP4900 series (EXPERIMENTAL)(*1)
       Canon PIXMA iP4910  (EXPERIMENTAL)(*2)
       Canon PIXMA iP4920  (EXPERIMENTAL)(*2)
       Canon PIXUS iP4930  (EXPERIMENTAL)(*2)
       Canon PIXMA iP4940  (EXPERIMENTAL)(*2)
       Canon PIXMA iP4950  (EXPERIMENTAL)(*2)
       Canon PIXMA iP4970  (EXPERIMENTAL)(*2)
       Canon PIXMA iP4980  (EXPERIMENTAL)(*2)

       Canon iP5000 series (EXPERIMENTAL)(*1)

       Canon iP5200 series (EXPERIMENTAL)(*1)

       Canon iP5200R series (EXPERIMENTAL)(*1)
       Canon PIXUS iP5200R  (EXPERIMENTAL)(*2)

       Canon iP5300 series (EXPERIMENTAL)(*1)

       Canon iP6000D series (EXPERIMENTAL)(*1)

       Canon iP6100D series (EXPERIMENTAL)(*1)
       Canon PIXUS iP6100D  (EXPERIMENTAL)(*2)

       Canon iP6210D series (EXPERIMENTAL)(*1)

       Canon iP6220D series (EXPERIMENTAL)(*1)

       Canon iP6310D series (EXPERIMENTAL)(*1)

       Canon iP6320D series (EXPERIMENTAL)(*1)

       Canon iP6600D series (EXPERIMENTAL)(*1)
       Canon PIXUS iP6600D  (EXPERIMENTAL)(*2)

       Canon iP6700D series (EXPERIMENTAL)(*1)
       Canon PIXUS iP6700D  (EXPERIMENTAL)(*2)

       Canon iP7100 series (EXPERIMENTAL)(*1)
       Canon PIXUS iP7100  (EXPERIMENTAL)(*2)

       Canon iP7500 series (EXPERIMENTAL)(*1)
       Canon PIXUS iP7500  (EXPERIMENTAL)(*2)

       Canon iP8100 series (EXPERIMENTAL)(*1)
       Canon PIXUS iP8100  (EXPERIMENTAL)(*2)

       Canon iP8500 series (EXPERIMENTAL)(*1)

       Canon iP8600 series (EXPERIMENTAL)(*1)
       Canon PIXUS iP8600  (EXPERIMENTAL)(*2)

       Canon iP9910 series (EXPERIMENTAL)(*1)
       Canon PIXUS iP9910  (EXPERIMENTAL)(*2)

       Canon iP7200 series (EXPERIMENTAL)
       Canon PIXMA iP7210  (EXPERIMENTAL)(*2)
       Canon PIXMA iP7220  (EXPERIMENTAL)(*2)
       Canon PIXUS iP7230  (EXPERIMENTAL)(*2)
       Canon PIXMA iP7240  (EXPERIMENTAL)(*2)
       Canon PIXMA iP7250  (EXPERIMENTAL)(*2)
       Canon PIXMA iP7260  (EXPERIMENTAL)(*2)
       Canon PIXMA iP7270  (EXPERIMENTAL)(*2)
       Canon PIXMA iP7280  (EXPERIMENTAL)(*2)

       Canon iX4000 series (EXPERIMENTAL)(*1)

       Canon iX5000 series (EXPERIMENTAL)(*1)
       Canon PIXUS iX5000  (EXPERIMENTAL)(*2)

       Canon iX6500 series (EXPERIMENTAL)(*1)
       Canon PIXMA iX6510  (EXPERIMENTAL)(*2)
       Canon PIXMA iX6520  (EXPERIMENTAL)(*2)
       Canon PIXUS iX6530  (EXPERIMENTAL)(*2)
       Canon PIXMA iX6540  (EXPERIMENTAL)(*2)
       Canon PIXMA iX6550  (EXPERIMENTAL)(*2)
       Canon PIXMA iX6560  (EXPERIMENTAL)(*2)
       Canon PIXMA iX6580  (EXPERIMENTAL)(*2)

       Canon iX7000 series (EXPERIMENTAL)(*1)
       Canon PIXUS iX7000  (EXPERIMENTAL)(*2)

       Canon MX300 series  (EXPERIMENTAL)(*1)
       Canon PIXMA MX308   (EXPERIMENTAL)(*2)

       Canon MX310 series  (EXPERIMENTAL)(*1)
       Canon PIXMA MX318   (EXPERIMENTAL)(*2)

       Canon MX320 series  (EXPERIMENTAL)(*1)
       Canon PIXMA MX328   (EXPERIMENTAL)(*2)

       Canon MX330 series  (EXPERIMENTAL)(*1)
       Canon PIXMA MX338   (EXPERIMENTAL)(*2)

       Canon MX340 series  (EXPERIMENTAL)(*1)
       Canon PIXMA MX347   (EXPERIMENTAL)(*2)
       Canon PIXMA MX348   (EXPERIMENTAL)(*2)

       Canon MX350 series  (EXPERIMENTAL)(*1)
       Canon PIXUS MX350   (EXPERIMENTAL)(*2)
       Canon PIXMA MX357   (EXPERIMENTAL)(*2)
       Canon PIXMA MX358   (EXPERIMENTAL)(*2)

       Canon MX360 series  (EXPERIMENTAL)(*1)
       Canon PIXMA MX366   (EXPERIMENTAL)(*2)
       Canon PIXMA MX368   (EXPERIMENTAL)(*2)

       Canon MX370 series  (EXPERIMENTAL)(*1)
       Canon PIXMA MX371   (EXPERIMENTAL)(*2)
       Canon PIXMA MX372   (EXPERIMENTAL)(*2)
       Canon PIXMA MX374   (EXPERIMENTAL)(*2)
       Canon PIXMA MX375   (EXPERIMENTAL)(*2)
       Canon PIXMA MX376   (EXPERIMENTAL)(*2)
       Canon PIXMA MX377   (EXPERIMENTAL)(*2)
       Canon PIXMA MX378   (EXPERIMENTAL)(*2)

       Canon MX390 series  (EXPERIMENTAL)
       Canon PIXMA MX391   (EXPERIMENTAL)(*2)
       Canon PIXMA MX392   (EXPERIMENTAL)(*2)
       Canon PIXMA MX394   (EXPERIMENTAL)(*2)
       Canon PIXMA MX395   (EXPERIMENTAL)(*2)
       Canon PIXMA MX396   (EXPERIMENTAL)(*2)
       Canon PIXMA MX397   (EXPERIMENTAL)(*2)
       Canon PIXMA MX398   (EXPERIMENTAL)(*2)

       Canon MX410 series  (EXPERIMENTAL)(*1)
       Canon PIXMA MX416   (EXPERIMENTAL)(*2)
       Canon PIXMA MX418   (EXPERIMENTAL)(*2)

       Canon MX420 series  (EXPERIMENTAL)(*1)
       Canon PIXUS MX420   (EXPERIMENTAL)(*2)
       Canon PIXMA MX426   (EXPERIMENTAL)(*2)
       Canon PIXMA MX428   (EXPERIMENTAL)(*2)

       Canon MX430 series  (EXPERIMENTAL)(*1)
       Canon PIXMA MX431   (EXPERIMENTAL)(*2)
       Canon PIXMA MX432   (EXPERIMENTAL)(*2)
       Canon PIXMA MX434   (EXPERIMENTAL)(*2)
       Canon PIXMA MX435   (EXPERIMENTAL)(*2)
       Canon PIXMA MX436   (EXPERIMENTAL)(*2)
       Canon PIXMA MX437   (EXPERIMENTAL)(*2)
       Canon PIXMA MX438   (EXPERIMENTAL)(*2)
       Canon PIXMA MX439   (EXPERIMENTAL)(*2)

       Canon MX450 series  (EXPERIMENTAL)
       Canon PIXMA MX451   (EXPERIMENTAL)(*2)
       Canon PIXMA MX452   (EXPERIMENTAL)(*2)
       Canon PIXMA MX454   (EXPERIMENTAL)(*2)
       Canon PIXMA MX455   (EXPERIMENTAL)(*2)
       Canon PIXMA MX456   (EXPERIMENTAL)(*2)
       Canon PIXMA MX457   (EXPERIMENTAL)(*2)
       Canon PIXMA MX458   (EXPERIMENTAL)(*2)
       Canon PIXMA MX459   (EXPERIMENTAL)(*2)

       Canon MX510 series  (EXPERIMENTAL)(*1)
       Canon PIXMA MX511   (EXPERIMENTAL)(*2)
       Canon PIXMA MX512   (EXPERIMENTAL)(*2)
       Canon PIXUS MX513   (EXPERIMENTAL)(*2)
       Canon PIXMA MX514   (EXPERIMENTAL)(*2)
       Canon PIXMA MX515   (EXPERIMENTAL)(*2)
       Canon PIXMA MX516   (EXPERIMENTAL)(*2)
       Canon PIXMA MX517   (EXPERIMENTAL)(*2)
       Canon PIXMA MX518   (EXPERIMENTAL)(*2)

       Canon MX520 series  (EXPERIMENTAL)
       Canon PIXMA MX521   (EXPERIMENTAL)(*2)
       Canon PIXMA MX522   (EXPERIMENTAL)(*2)
       Canon PIXUS MX523   (EXPERIMENTAL)(*2)
       Canon PIXMA MX524   (EXPERIMENTAL)(*2)
       Canon PIXMA MX525   (EXPERIMENTAL)(*2)
       Canon PIXMA MX526   (EXPERIMENTAL)(*2)
       Canon PIXMA MX527   (EXPERIMENTAL)(*2)
       Canon PIXMA MX528   (EXPERIMENTAL)(*2)

       Canon MX700 series  (EXPERIMENTAL)(*1)

       Canon MX710 series  (EXPERIMENTAL)(*1)
       Canon PIXMA MX711   (EXPERIMENTAL)(*2)
       Canon PIXMA MX712   (EXPERIMENTAL)(*2)
       Canon PIXMA MX714   (EXPERIMENTAL)(*2)
       Canon PIXMA MX715   (EXPERIMENTAL)(*2)

       Canon MX720 series  (EXPERIMENTAL)
       Canon PIXMA MX721   (EXPERIMENTAL)(*2)
       Canon PIXMA MX722   (EXPERIMENTAL)(*2)
       Canon PIXMA MX725   (EXPERIMENTAL)(*2)
       Canon PIXMA MX726   (EXPERIMENTAL)(*2)
       Canon PIXMA MX727   (EXPERIMENTAL)(*2)
       Canon PIXMA MX728   (EXPERIMENTAL)(*2)

       Canon MX860 series  (EXPERIMENTAL)(*1)
       Canon PIXUS MX860   (EXPERIMENTAL)(*2)
       Canon PIXMA MX868   (EXPERIMENTAL)(*2)

       Canon MX870 series  (EXPERIMENTAL)(*1)
       Canon PIXUS MX870   (EXPERIMENTAL)(*2)
       Canon PIXMA MX876   (EXPERIMENTAL)(*2)

       Canon MX880 series  (EXPERIMENTAL)(*1)
       Canon PIXMA MX882   (EXPERIMENTAL)(*2)
       Canon PIXUS MX883   (EXPERIMENTAL)(*2)
       Canon PIXMA MX884   (EXPERIMENTAL)(*2)
       Canon PIXMA MX885   (EXPERIMENTAL)(*2)
       Canon PIXMA MX886   (EXPERIMENTAL)(*2)
       Canon PIXMA MX888   (EXPERIMENTAL)(*2)

       Canon MX890 series  (EXPERIMENTAL)(*1)
       Canon PIXMA MX892   (EXPERIMENTAL)(*2)
       Canon PIXUS MX893   (EXPERIMENTAL)(*2)
       Canon PIXMA MX894   (EXPERIMENTAL)(*2)
       Canon PIXMA MX895   (EXPERIMENTAL)(*2)
       Canon PIXMA MX897   (EXPERIMENTAL)(*2)
       Canon PIXMA MX898   (EXPERIMENTAL)(*2)

       Canon MX920 series  (EXPERIMENTAL)
       Canon PIXMA MX922   (EXPERIMENTAL)(*2)
       Canon PIXUS MX923   (EXPERIMENTAL)(*2)
       Canon PIXMA MX924   (EXPERIMENTAL)(*2)
       Canon PIXMA MX925   (EXPERIMENTAL)(*2)
       Canon PIXMA MX926   (EXPERIMENTAL)(*2)
       Canon PIXMA MX927   (EXPERIMENTAL)(*2)
       Canon PIXMA MX928   (EXPERIMENTAL)(*2)

       Canon MX7600 series (EXPERIMENTAL)(*1)
       Canon PIXUS MX7600  (EXPERIMENTAL)(*2)

       Canon E500 series   (EXPERIMENTAL)(*1)

       Canon E510 series   (EXPERIMENTAL)
       Canon PIXMA E510    (EXPERIMENTAL)(*2)
       Canon PIXMA E518    (EXPERIMENTAL)(*2)

       Canon E600 series   (EXPERIMENTAL)(*1)
       Canon PIXMA E608    (EXPERIMENTAL)(*2)

       Canon E610 series   (EXPERIMENTAL)
       Canon PIXMA E610    (EXPERIMENTAL)(*2)
       Canon PIXMA E618    (EXPERIMENTAL)(*2)

       Canon Pro9000 series (EXPERIMENTAL)(*1)
       Canon PIXUS Pro9000  (EXPERIMENTAL)(*2)

       Canon Pro9000 II series (EXPERIMENTAL)(*1)
       Canon PIXUS Pro9000 II  (EXPERIMENTAL)(*2)

       Canon Pro9500 series (EXPERIMENTAL)(*1)
       Canon PIXUS Pro9500  (EXPERIMENTAL)(*2)

       Canon Pro9500 II series (EXPERIMENTAL)(*1)
       Canon PIXUS Pro9500 II  (EXPERIMENTAL)(*2)

       Note 1: Added the printer family
               identification string by
               which all family instances
               identify themselves to the OS.

       Note 2: Added individual family
               instances, even though the
               printer identifies itself
               by a generic family
               identification string.

       Note 3: MG2400 and MG2500 lines only support 4 media types:
               plain, photo paper gloss Gold, photo paper gloss, and envelope.
               We have retained support for other media types common
               to recent Canon printers, but it is unconfirmed whether
               the printer firmware will accept these.
               The lines also lack support for borderless printing
               in the Windows driver, and we have not tried to add
               experimental support.

       Area codes as follows:
             1: Latin America
             2: USA
             3: Japan
             4: Europe/Africa
             5: UK
             6: Australia/New Zealand
             7: India/South Asia
             8: China
             (for MG series includes a trailing 0)

     - Canon dye-sublimation printers:

       Support for all Canon SELPHY CP- and ES- printers has been improved
       considerably through the addition of an intelligent CUPS backend.  As
       well as enabling support for more recent printers, it improves support
       for older models as well.

       Please note that if you are using one of these models with a
       prior Gutenprint release, you will have to remove and re-create your
       printer queue after upgrading.

       Newly added in this release:

       Canon SELPHY CP790
       Canon SELPHY CP810
       Canon SELPHY CP900

       Added back after removal in 5.2.9 release:

       Canon SELPHY CP600 *1
       Canon SELPHY CP720
       Canon SELPHY CP780
       Canon SELPHY CP800
       Canon SELPHY ES1
       Canon SELPHY ES2
       Canon SELPHY ES3
       Canon SELPHY ES20 *1
       Canon SELPHY ES30
       Canon SELPHY ES40

       Improved support for existing models:

       Canon CP-100
       Canon CP-200
       Canon CP-220       *1
       Canon CP-300
       Canon CP-330
       Canon SELPHY CP400
       Canon SELPHY CP500
       Canon SELPHY CP510
       Canon SELPHY CP520
       Canon SELPHY CP530 *1
       Canon SELPHY CP710
       Canon SELPHY CP730
       Canon SELPHY CP740
       Canon SELPHY CP750
       Canon SELPHY CP760
       Canon SELPHY CP770

	*1: We have not confirmed these printers function with the new
	    backend, but they are presumed to work.

       Non-supported models:

	The SELPHY CP820 and CP910, and possibly newer models in the
	SELPHY CP series utilize an entirely new print data format,
	and as such are not compatible with previous models in the
	SELPHY CP family.  We anticipate these models will be supported
	in a subsequent Gutenprint release.

     - Citizen Dye-Sublimation printers:

       Citizen CX
       Citizen CX-W
       Citizen CY

         These models are identical to the DNP DS40, DS80, and DSRX1,
	 respectively, and for best results should be used with the
	 intelligent backend.

       Citizen CW-01
       Citizen CW-02
       Citizen OP900
       Citizen OP900II

         Support for these models is considered experimental; they have
	 not yet been tested.  They are functionally identical to the
	 Citizen CX.

     - Dai Nippon Printing (DNP) printers:

       DNP DS40
       DNP DS80

	Support for these printers has been considerably improved:

	 * Addition of an intelligent CUPS backend
	 * 5x7 and 3.5x5" print support on the DS40
	 * Matte lamination with printer firmware 1.30 or newer
	 * Improved margins making printable area more explicit
	 * Support 300x600dpi print mode

	If you have one of these printers we highly recommend you remove
	and re-create your printer queue after upgrading.

       DNP DSRX1

         This printer is functionally identical to the DS40, except
         it does not support 6x9 prints,

     - Kodak Dye-Sublimation printers:

       Kodak 1400
       Kodak 805
       Kodak 6800
       Kodak 6850
       Kodak 605

	These Kodak models require an intelligent CUPS backend,
	which is bundled with Gutenprint.

       Kodak 8500 (EXPERIMENTAL)
       Kodak 9810 (EXPERIMENTAL)

	Neither of these models have been tested and confirmed to work
	(or not), so feedback is welcome.

     - Mitsubishi Dye-Sublimation printers:

       Mitsubishi CP9810D/DW

	This model has been verified to work

       Mitsubishi CP3020D/DU/DE (EXPERIMENTAL)
       Mitsubishi CP3020DA/DAE  (EXPERIMENTAL)
       Mitsubishi CP9550D/DW    (EXPERIMENTAL)
       Mitsubishi CPD70D/DW     (EXPERIMENTAL)
       Mitsubishi CPD707D/DW    (EXPERIMENTAL)
       Mitsubishi CPK60DW-S     (EXPERIMENTAL)
       Mitsubishi CP3800DW      (EXPERIMENTAL)

	None of these models have been tested and confirmed to work
	(or not), so feedback is welcome.

	NOTE: With the exception of the CP-K60DW-S, all Mitsubishi
	printers with red faceplates and/or model designations ending with
	an '-S' suffix are not currently supported.  These were only sold
	as part of a Mitsubishi kiosk or lab solution, and were
	deliberately made incompatible with the non-S models.

	The CP-D70DW and CP-D707DW (and likely the CP-K60DW) require use of
	an intelligent backend,	which is bundled with Gutenprint.

     - Shinko/Sinfonia Dye-Sublimation printers:

       Shinko/Sinfonia CHC-S2145 (aka S2)

	The CHC-S2145 requires an intelligent CUPS backend, which is
	bundled with Gutenprint.

     - Sony Dye-Sublimation printers:

       Sony UP-DR150

	Support for the Sony UP-DR150 was greatly improved through the
	addition of an intelligent CUPS backend.  You will need to
	remove and re-create your printer queue after upgrading.

       Sony UP-DR200

	The Sony UP-DR200 requires the use of an intelligent CUPS backend.

  3) The following Canon printer models were not added, as they cannot
     currently be supported, even experimentally, owing to an as-yet
     unknown command format or other issues:

       Canon PIXMA mini260 *1
       Canon PIXMA i255
       Canon PIXMA i355
       Canon PIXMA iP1180
       Canon PIXMA iP1188
       Canon PIXMA iP1880
       Canon PIXMA iP1980
       Canon PIXMA iP2580
       Canon PIXMA iP2680
       Canon PIXMA PRO-10  *1
       Canon PIXMA PRO-100 *1

       *1: protocol is supported but inks used are not yet supported

  4) Corrected page dimensions for borderless printing with Canon
     inkjet printers.

  5) Added duplex support for the EPSON WorkForce 630, 635, and 645,
     and NX635

  6) Expanded printable area at the bottom of the page for the Epson
     Stylus Pro 3800 and 3880.

  7) Added IEEE1284 device IDs for the following printers.

     - Device IDs added for the following Brother printers:
       Brother HL-2030 series

     - Device IDs added for the following Canon printers:
       Canon SELPHY ES1
       Canon SELPHY ES2
       Canon SELPHY ES3
       Canon SELPHY ES30
       Canon SELPHY ES40
       Canon SELPHY CP-10
       Canon SELPHY CP-100
       Canon SELPHY CP-200
       Canon SELPHY CP-220
       Canon SELPHY CP-300
       Canon SELPHY CP-330
       Canon SELPHY CP400
       Canon SELPHY CP500
       Canon SELPHY CP510
       Canon SELPHY CP530
       Canon SELPHY CP600
       Canon SELPHY CP710
       Canon SELPHY CP720
       Canon SELPHY CP730
       Canon SELPHY CP750
       Canon SELPHY CP760
       Canon SELPHY CP780
       Canon SELPHY CP790
       Canon SELPHY CP800
       Canon SELPHY CP810
       Canon iP2700 series
       Canon PIXMA iP3000
       Canon PIXMA iP4000 (possibly incomplete)
       Canon PIXMA iP4200 (possibly incomplete)
       Canon Pro9000 II series (possibly incomplete)
       Canon MP160
       Canon MP250 series
       Canon MP280 series (possibly incomplete)
       Canon MP450 series

     - Device IDs added for the following Citizen printers:
       Citizen CX

     - Device IDs added for the following DNP printers:
       DNP DS40
       DNP DS80

     - Device IDs added for the following Epson printers:
       Epson Stylus Photo 1270
       Epson Stylus Photo R2400
       Epson Stylus C92
       Epson Stylus D78
       Epson Stylus Color 680

     - Device IDs added for the following Hewlett-Packard printers:
       HP Color LaserJet 2500
       HP Color LaserJet 4550 (added space in DES)
       HP LaserJet 4050 (added space in DES)
       HP LaserJet 4100 (added space in DES)
       HP LaserJet 4350 (improved)
       HP LaserJet 5100
       HP LaserJet 8000
       HP LaserJet M3027 MFP (corrected)
       HP LaserJet M3035 MFP (corrected)
       HP LaserJet P3005 (corrected)

     - Device IDs added for the following Kodak printers:
       Kodak 1400
       Kodak 605
       Kodak 805
       Kodak 6800
       Kodak 6850

     - Device IDs added for the following Kyocera printers:
       Kyocera FS-1118MFP

     - Device IDs added for the following Mitsubishi printers:
       Mitsubishi CP-D70DW
       Mitsubishi CP-D707DW

     - Device IDs added for the following Samsung printers:
       Samsung ML-1450 (possibly incomplete)

     - Device IDs added for the following Sony printers:
       Sony UP-DR150

     - Device IDs added for the following Shinko/Sinfonia printers:
       Shinko/Sinfonia CHC-S2145

  8) Added Catalan, Turkish, and Vietnamese translations.

* Changes from 5.2.8

  1) This release fixes an inappropriate change to the internal
     library version number (.soname or equivalent) made in 5.2.8.
     All distributors should immediately apply this update to their
     distributions to avoid other software linking against
     libgutenprint breaking.

  2) Duplicate Transparency entries in the media types for Canon
     iP4100 and similar printers have been removed.

  3) The range of fine position adjustment of CD media has been
     increased for Epson printers.

  4) The German translation has been updated.

  5) Canon PIXMA Pro9000 plain media high quality mode bug fix.

* Changes from 5.2.7

  1) The Canon driver has been significantly overhauled for this
     release, and output (and in some cases functionality) may be
     significantly different from previous releases.  We expect to
     perform further work in future releases.  Specific changes
     include:

     * All known combinations of offered modes now work in CUPS.
       Previously, certain combinations would fail to print, with
       error messages about invalid combinations of printing options.

     * The following Canon printer models were completely redefined or
       had major changes carried out in the supported modes:

	 Canon   BJC 3000    (EXPERIMENTAL)
	 Canon   BJC S300    (EXPERIMENTAL)
	 Canon   BJC S500    (EXPERIMENTAL)
	 Canon   BJC S600    (EXPERIMENTAL)
	 Canon   BJC S800    (EXPERIMENTAL)
	 Canon PIXMA i80     (EXPERIMENTAL)
	 Canon PIXMA i560    (EXPERIMENTAL)
	 Canon PIXMA i850    (EXPERIMENTAL) *1
	 Canon PIXMA i860    (EXPERIMENTAL) *1
	 Canon PIXMA i865    (EXPERIMENTAL) *1
	 Canon PIXMA iP2000  (EXPERIMENTAL)
	 Canon PIXMA iP4100  (EXPERIMENTAL)
	 Canon PIXMA iP5000  (EXPERIMENTAL)
	 Canon PIXMA iP6210D (EXPERIMENTAL)
	 Canon PIXMA iP6220D (EXPERIMENTAL)
	 Canon PIXMA iP6310D (EXPERIMENTAL)
	 Canon PIXMA MP600
	 Canon PIXMA MP750
	 Canon PIXMA MP760
	 Canon PIXMA MP770
	 Canon PIXMA MP780
	 Canon PIXMA MP790
	 Canon PIXMA MP970

	 *1: for compatibility, the original printers are named with
	  "old" appended. These old printers will be deprecated in a
	  future release.

     * Support for the following Canon printers was greatly improved, or
       tested:

	 Canon PIXMA MP700
	 Canon PIXMA MP710
	 Canon PIXMA MP730
	 Canon PIXMA MP740
	 Canon PIXMA MP950
	 Canon PIXMA MP960
	 Canon PIXMA MX340
	 Canon PIXMA MX350
	 Canon PIXMA iP4000
	 Canon PIXMA MG5100

     * The following PIXMA models have PIXUS aliases for reasons of
       compatibility. In future, a complete compatibility is planned, for
       which it will need to be determined whether all PIXMA models have
       PIXUS counterparts, and vice versa.

	 Canon PIXUS iP2700
	 Canon PIXUS iP3100
	 Canon PIXUS iP4100

     * CD printing support for the following Canon printers was added:

	 Canon PIXMA i560
	 Canon PIXMA i860
	 Canon PIXMA i865
	 Canon PIXMA iP4600
	 Canon PIXMA iP4700
	 Canon PIXMA iP4800
	 Canon PIXMA iP4900
	 Canon PIXMA MP980
	 Canon PIXMA MP990
	 Canon PIXMA MG5200
	 Canon PIXMA MG5300
	 Canon PIXMA MG6100
	 Canon PIXMA MG6200
	 Canon PIXMA MG8100
	 Canon PIXMA MG8200

     * The following Canon printer models were either not added, or
       removed, as they cannot currently be supported, even
       experimentally, owing to an as-yet unknown command format or
       other issues:

	 Canon PIXMA 320i
	 Canon PIXMA i250
	 Canon PIXMA i320
	 Canon PIXMA i350
	 Canon PIXMA iP1000
	 Canon PIXMA iP1200
	 Canon PIXMA iP1300
	 Canon PIXMA iP1500
	 Canon PIXMA iP1600
	 Canon PIXMA iP1700
	 Canon PIXMA iP1800
	 Canon PIXMA iP1900
	 Canon PIXMA iP2200
	 Canon PIXMA iP2500
	 Canon PIXMA iP2600
	 Canon PIXMA MP5
	 Canon PIXMA MP10
	 Canon PIXMA MP55
	 Canon PIXMA MP110
	 Canon PIXMA MP130
	 Canon PIXMA PRO-1 *1
	 Canon SELPHY CP600 *2
	 Canon SELPHY CP720 *2
	 Canon SELPHY CP780 *2
	 Canon SELPHY CP800 *2
	 Canon SELPHY ES1 *2
	 Canon SELPHY ES2 *2
	 Canon SELPHY ES3 *2
	 Canon SELPHY ES20 *2
	 Canon SELPHY ES30 *2
	 Canon SELPHY ES40 *2

	 *1: protocol is supported but inks used are not yet supported
	 *2: requires special communication protocol

     * The following printers do not currently offer a grayscale
       printing mode.  If you wish to print grayscale, you should
       select the Desaturated color correction method.

         Canon BJC-2000
	 Canon BJC-5500
	 Canon BJC-6000
	 Canon BJC-6200
	 Canon BJC-6500
	 Canon BJC-7000
	 Canon BJC-7100
	 Canon BJC-8200
	 Canon BJC-8500
	 Canon SELPHY DS700
	 Canon SELPHY DS810
	 Canon PIXMA mini220
	 Canon PIXMA mini320
	 Canon PIXMA iP6000D
	 Canon PIXMA iP6100D
	 Canon PIXMA iP6210D
	 Canon PIXMA iP6600D
	 Canon PIXMA Pro9000
	 Canon PIXMA Pro9000mk2
	 Canon PIXMA Pro9500
	 Canon PIXMA Pro9500mk2
	 Canon 900PD

     * Some Canon BJC series printers using photo cartridge have
       printing modes added that will select this cartridge (BJC 3000,
       4300, 4550, S400).

     * Canon Japan printers of the *i series (e.g., 50i) have been
       matched with non-Japan i* series (e.g., i70) printers, and
       support for inkjet Hagaki and plain Hagaki added to the non-Japan
       models where equivalent Japan models exist.

     * Printer modes for most printer models are now determined by the
       media, based on information from the corresponding Windows
       driver. If an incompatible mode is selected by the user, a
       suitable mode is substituted, based on the other active
       parameters and quality setting. Modes are also substituted
       based on cartridge selection and duplex selection. Inktype is
       then automatically adjusted.

       Since the printer itself converts the data sent to the printer
       into the actual inks used, the format of the data sent to the
       printer is rather strict, and the relationship between this
       data and the actual inks is often unknown.

     * Added support for 8-bit inks to Canon backend, and modes using
       them.

     * Adjusted margins and page sizes of Canon printers.

     * Added borderless functionality to most Canon printers (except S
       series and BJC series). Borderless uses photo modes, and should
       therefore be usable for all photo media. For plain media and
       Hagaki or Envelope media, there is currently no mode substitution
       to use photo colors only in place of the normal modes, and
       therefore borderless may work incorrectly or not at all. It is
       therefore recommended to use borderless only for photo media
       until further development.

  2) New printers supported in this release:

     Note that support for all printers marked "EXPERIMENTAL"
     (untested) or "PRELIMINARY" (minimally tested but untuned) is
     subject to change without notice.  Printers not marked
     "EXPERIMENTAL" generally will not change between releases, but
     notice will be given and if possible back compatibility will be
     provided.

     - Canon inkjet printers:

       Canon   BJC 4550    (EXPERIMENTAL)
       Canon   BJC S330    (EXPERIMENTAL)
       Canon   BJC S520    (EXPERIMENTAL)
       Canon   BJC S530D   (EXPERIMENTAL)
       Canon   BJC S630    (EXPERIMENTAL)
       Canon   BJC S750    (EXPERIMENTAL)
       Canon   BJC S820    (EXPERIMENTAL)
       Canon   BJC S830D   (EXPERIMENTAL)
       Canon   BJC S900    (EXPERIMENTAL)
       Canon   BJC S9000   (EXPERIMENTAL)
       Canon PIXMA mini220 (EXPERIMENTAL)
       Canon PIXMA mini320 (EXPERIMENTAL)
       Canon PIXMA mini360 (EXPERIMENTAL)
       Canon PIXMA DS700   (EXPERIMENTAL)
       Canon PIXMA DS810   (EXPERIMENTAL)
       Canon PIXMA 50i     (EXPERIMENTAL)
       Canon PIXMA 80i     (EXPERIMENTAL)
       Canon PIXMA 450i    (EXPERIMENTAL)
       Canon PIXMA 455i    (EXPERIMENTAL)
       Canon PIXMA 470PD   (EXPERIMENTAL)
       Canon PIXMA 475PD   (EXPERIMENTAL)
       Canon PIXMA 550i    (EXPERIMENTAL)
       Canon PIXMA 560i    (EXPERIMENTAL)
       Canon PIXMA 850i    (EXPERIMENTAL)
       Canon PIXMA 860i    (EXPERIMENTAL)
       Canon PIXMA 865R    (EXPERIMENTAL)
       Canon PIXMA 900PD   (EXPERIMENTAL)
       Canon PIXMA 950i    (EXPERIMENTAL)
       Canon PIXMA 960i    (EXPERIMENTAL)
       Canon PIXMA 990i    (EXPERIMENTAL)
       Canon PIXMA 6100i   (EXPERIMENTAL)
       Canon PIXMA 6500i   (EXPERIMENTAL)
       Canon PIXMA 9100i   (EXPERIMENTAL)
       Canon PIXMA 9900i   (EXPERIMENTAL)
       Canon PIXMA i70     (EXPERIMENTAL)
       Canon PIXMA i450    (EXPERIMENTAL)
       Canon PIXMA i450X   (EXPERIMENTAL)
       Canon PIXMA i455    (EXPERIMENTAL)
       Canon PIXMA i455X   (EXPERIMENTAL)
       Canon PIXMA i470D   (EXPERIMENTAL)
       Canon PIXMA i475D   (EXPERIMENTAL)
       Canon PIXMA i550    (EXPERIMENTAL)
       Canon PIXMA i550X   (EXPERIMENTAL)
       Canon PIXMA i560X   (EXPERIMENTAL)
       Canon PIXMA i900D   (EXPERIMENTAL)
       Canon PIXMA i905D   (EXPERIMENTAL)
       Canon PIXMA i950    (EXPERIMENTAL)
       Canon PIXMA i960    (EXPERIMENTAL)
       Canon PIXMA i965    (EXPERIMENTAL)
       Canon PIXMA i990    (EXPERIMENTAL)
       Canon PIXMA i6100   (EXPERIMENTAL)
       Canon PIXMA i6500   (EXPERIMENTAL)
       Canon PIXMA i9100   (EXPERIMENTAL)
       Canon PIXMA i9900   (EXPERIMENTAL)
       Canon PIXMA i9950   (EXPERIMENTAL)
       Canon PIXMA iP90    (EXPERIMENTAL)
       Canon PIXMA iP90v   (EXPERIMENTAL)
       Canon PIXMA iP100   (EXPERIMENTAL)
       Canon PIXMA iP3600  (EXPERIMENTAL)
       Canon PIXMA iP3500  (EXPERIMENTAL)
       Canon PIXMA iP3300  (EXPERIMENTAL)
       Canon PIXMA iP4900  (EXPERIMENTAL)
       Canon PIXMA iP6210D (EXPERIMENTAL)
       Canon PIXMA iP6220D (EXPERIMENTAL)
       Canon PIXMA iP6310D (EXPERIMENTAL)
       Canon PIXMA iP6320D (EXPERIMENTAL)
       Canon PIXMA iP7100  (EXPERIMENTAL)
       Canon PIXMA iP7500  (EXPERIMENTAL)
       Canon PIXMA iP8100  (EXPERIMENTAL)
       Canon PIXMA iP8600  (EXPERIMENTAL)
       Canon PIXMA iP9910  (EXPERIMENTAL)
       Canon PIXMA MP140   (EXPERIMENTAL)
       Canon PIXMA MP190   (EXPERIMENTAL)
       Canon PIXMA MP210   (EXPERIMENTAL)
       Canon PIXMA MP240   (EXPERIMENTAL)
       Canon PIXMA MP260   (EXPERIMENTAL)
       Canon PIXMA MP375R
       Canon PIXMA MP470   (EXPERIMENTAL)
       Canon PIXMA MP490   (EXPERIMENTAL)
       Canon PIXMA MP530   (EXPERIMENTAL)
       Canon PIXMA MP900   (EXPERIMENTAL)
       Canon PIXMA MX320   (EXPERIMENTAL)
       Canon PIXMA MX370   (EXPERIMENTAL)
       Canon PIXMA MX430   (EXPERIMENTAL)
       Canon PIXMA MX510   (EXPERIMENTAL)
       Canon PIXMA MX710   (EXPERIMENTAL)
       Canon PIXMA MX890   (EXPERIMENTAL)
       Canon PIXMA MG2100  (EXPERIMENTAL)
       Canon PIXMA MG3100  (EXPERIMENTAL)
       Canon PIXMA MG4100  (EXPERIMENTAL)
       Canon PIXMA MG5300  (EXPERIMENTAL)
       Canon PIXMA MG6200  (EXPERIMENTAL)
       Canon PIXMA MG8200  (EXPERIMENTAL)
       Canon PIXMA E500    (EXPERIMENTAL)
       Canon PIXMA E600    (EXPERIMENTAL)

     - Epson inkjet printers:

       EPSON ME Office 940FW
       EPSON PX 204
       EPSON PX 504A
       EPSON Stylus CX3900
       EPSON Stylus NX420
       EPSON Stylus NX530
       EPSON Stylus NX635
       EPSON Stylus SX420
       EPSON Stylus TX420
       EPSON Stylus Office BX535WD
       EPSON Stylus Office BX630FW
       EPSON Stylus Office BX635FWD
       EPSON Stylus Office TX620FWD
       EPSON Stylus Photo RX650
       EPSON Stylus SX535WD
       EPSON WorkForce 545
       EPSON WorkForce 630
       EPSON WorkForce 645

     - Epson wide carriage inkjet printers:

       EPSON Stylus Pro 7900 (Partial -- no orange/green inks)
       EPSON Stylus Pro 9900 (Partial -- no orange/green inks)

       These printers function as 8 color photo printers using CMYK
       inks, similar to the 7890/9890.  They have not been tuned.  At
       present, we do not have a schedule for adding support for the
       green and orange inks.

  3) A problem whereby printing did not work at all on some Linux
     distributions has been fixed (3299815 CUPS PPD broken on Linux).

  4) A crash with the EPSON Stylus Photo R3000 has been fixed.

  5) Printing on the Epson Stylus NX200, SX200, and SX205 is believed
     to be corrected.

  6) A build problem with libgutenprintui2 and testpattern on certain
     platforms has been fixed.

  7) Chinese (Mandarin), Galician, and Ukrainian translations have
     been added.

  8) (API) Added function stp_vars_copy_from() to override settings in
     one settings object with those in another.


* Changes from 5.2.6

  1) New printers supported in this release:

     Note that support for all printers marked "EXPERIMENTAL"
     (untested) or "PRELIMINARY" (minimally tested but untuned) is
     subject to change without notice.  Printers not marked
     "EXPERIMENTAL" generally will not change between releases, but
     notice will be given and if possible back compatibility will be
     provided.

     - Canon inkjet printers:

       Canon PIXMA iP1000 (EXPERIMENTAL)
       Canon PIXMA iP1200 (EXPERIMENTAL)
       Canon PIXMA iP1300 (EXPERIMENTAL)
       Canon PIXMA iP1500 (EXPERIMENTAL)
       Canon PIXMA iP1600 (EXPERIMENTAL)
       Canon PIXMA iP1700 (EXPERIMENTAL)
       Canon PIXMA iP1800 (EXPERIMENTAL)
       Canon PIXMA iP1900 (EXPERIMENTAL)
       Canon PIXMA iP2000 (EXPERIMENTAL)
       Canon PIXMA iP2200 (EXPERIMENTAL)
       Canon PIXMA iP2500 (EXPERIMENTAL)
       Canon PIXMA iP2600 (EXPERIMENTAL)
       Canon PIXMA iP2700
       Canon PIXMA iP3100 (EXPERIMENTAL)
       Canon PIXMA iP4700
       Canon PIXMA iP4800 (EXPERIMENTAL)
       Canon PIXMA iP6100D
       Canon PIXMA iP6600D
       Canon PIXMA iX6500 (EXPERIMENTAL)
       Canon PIXMA iX7000 (EXPERIMENTAL)
       Canon PIXMA MG5100
       Canon PIXMA MG5200
       Canon PIXMA MG6100
       Canon PIXMA MG8100
       Canon PIXMA MP250
       Canon PIXMA MP270
       Canon PIXMA MP280
       Canon PIXMA MP450
       Canon PIXMA MP460
       Canon PIXMA MP480
       Canon PIXMA MP493 (EXPERIMENTAL)
       Canon PIXMA MP495
       Canon PIXMA MP520
       Canon PIXMA MP540
       Canon PIXMA MP550
       Canon PIXMA MP600
       Canon PIXMA MP620
       Canon PIXMA MP630
       Canon PIXMA MP640
       Canon PIXMA MP800 (EXPERIMENTAL)
       Canon PIXMA MP810 (EXPERIMENTAL)
       Canon PIXMA MP950
       Canon PIXMA MP960
       Canon PIXMA MP980 (EXPERIMENTAL)
       Canon PIXMA MP990
       Canon PIXMA MX300 (EXPERIMENTAL)
       Canon PIXMA MX310 (EXPERIMENTAL)
       Canon PIXMA MX330 (EXPERIMENTAL)
       Canon PIXMA MX340 (EXPERIMENTAL)
       Canon PIXMA MX350 (EXPERIMENTAL)
       Canon PIXMA MX360 (EXPERIMENTAL)
       Canon PIXMA MX410 (EXPERIMENTAL)
       Canon PIXMA MX420 (EXPERIMENTAL)
       Canon PIXMA MX700 (EXPERIMENTAL)
       Canon PIXMA MX850 (EXPERIMENTAL)
       Canon PIXMA MX860 (EXPERIMENTAL)
       Canon PIXMA MX870 (EXPERIMENTAL)
       Canon PIXMA MX880 (EXPERIMENTAL)
       Canon PIXMA MX7600 (EXPERIMENTAL)
       Canon PIXMA Pro9000 (EXPERIMENTAL)
       Canon PIXMA Pro9000 Mk.II (EXPERIMENTAL)
       Canon PIXMA Pro9500 (EXPERIMENTAL)
       Canon PIXMA Pro9500 Mk.II (EXPERIMENTAL)

     - Epson inkjet printers:

       EPSON B-310
       EPSON B-310N
       EPSON B-510DN
       EPSON ME Office 600F
       EPSON ME Office 620F
       Epson Stylus Photo R3000 (EXPERIMENTAL)
       Epson Stylus Pro 3885
       Epson Stylus Pro 4000 (EXPERIMENTAL)
       Epson Stylus Pro 4450 (EXPERIMENTAL)
       Epson Stylus Pro 7700 (EXPERIMENTAL)
       Epson Stylus Pro 7890 (EXPERIMENTAL)
       Epson Stylus Pro 9700 (EXPERIMENTAL)
       Epson Stylus Pro 9890 (EXPERIMENTAL)

     - Dye sublimation printers:

       Kodak EasyShare G600 Printer Dock
       Kodak PD-4000
       Kodak PD-6000
       Kodak Photo Printer
       Kodak Photo Printer 500
       Kodak Printer Dock Plus
       Kodak Printer Dock Plus S3

  2) Corrected color matching profile used for Mac OS X 10.5.x.
     sRGB will now be used instead of Generic RGB.  Users with work-
     flows dependent on the previously used Generic RGB can select
     this color profile in the print window by using ColorSync to
     choose the profile rather than using VendorMatching.

  3) Add additional photo modes to Canon inkjet printers.

  4) Correct page size limit for EPSON Stylus Pro 7600, 7800, 7880,
     9600, 9800, and 9880 (previously these printers had overly
     restrictive page limits).

  5) Correct printing to the EPSON Stylus NX200, NX215, SX200, SX205,
     SX210, and SX215.

  6) Corrected basic printer definitions of EPSON Stylus Pro 3800,
     3880, 7800, and 9800.

  7) Corrected media definitions and improve printing quality for
     EPSON Stylus Pro 3800, 3880, 4800, 4880, 7800, 7880, 9800, 9880,
     11800, and 11880.  This will result in substantial changes in
     output; if this is an issue, please use the EPSON Stylus Pro 7600
     or 9600 driver as appropriate.  There are new printer definitions
     named "EPSON Stylus Pro 4800/4880 Back Compatible" and "EPSON
     Stylus Pro 11800/11880 Back Compatible" available for people with
     existing tuned workflows for those printers.

     There are no back compatibility modes for the EPSON Stylus Pro
     3800 and 3880 as those printers were previously marked
     experimental with a note that their output was expected to change
     substantially.

  8) Allow EPSON Stylus Pro 3800 and 3880 to select matte and photo
     black ink automatically based on ink set choice (it is no longer
     necessary to set this on the front panel).

  9) Corrected base density for Photo Paper on printers using Claria
     ink (use 20% less ink).  The default results in heavy ink
     puddling in some cases.

 10) Improved reliability of escputil.

 11) CUPS PPD files now correctly identify which options affect
     color, for the Common Printer Dialog.

 12) A problem whereby certain malformed PPD files would cause the
     PostScript driver to crash has been fixed.  In addition, the
     PostScript driver now runs considerably faster.

 13) A build problem on Solaris has been fixed.

 14) A problem whereby an attempt to use the the optional ink map
     curves (e. g. Cyan Hue Map) with the EPSON Stylus Photo R800,
     R1800, and R1900 would cause an error has been fixed.

 15) The Dutch and Italian translations have been updated.

 16) A Slovenian translation has been added.


* Changes from 5.2.5

   1) New printers supported in this release:

      - Canon inkjet printers:

	Canon PIXMA MP360
	Canon PIXMA MP370
	Canon PIXMA MP390
	Canon PIXMA MP510
	Canon PIXMA MP970

      - Epson inkjet printers:

	EPSON Artisan 50
	EPSON EP-302
	EPSON EP-702A
	EPSON Stylus Photo P50
	EPSON Stylus Pro 3800 (EXPERIMENTAL)
	EPSON Stylus Pro 3880 (EXPERIMENTAL)
	EPSON Stylus Pro 4800
	EPSON Stylus Pro 4880
	EPSON Stylus Pro 11800
	EPSON Stylus T13
	EPSON Stylus T22
	EPSON Stylus T22E
	EPSON Stylus T59
	EPSON Stylus T60
	EPSON Stylus TX659

	NOTE: The support for the Epson Stylus Pro 3800 and 3880 is
	experimental and WILL CHANGE SUBSTANTIALLY in future releases.
	It should not be considered suitable for production use at
	this time.

      - PCL laser printers:

	Brother HL-2030
	Brother HL-2035
	Canon LBP-3360
	Kyocera CS-1815
	Kyocera FS-1018MFP
	Kyocera FS-1020D
	Kyocera FS-1030D
	Kyocera FS-1118MFP
	Kyocera FS-1714M
	Kyocera FS-1920
	Kyocera FS-2000D
	Kyocera FS-3718M
	Kyocera FS-3820N
	Kyocera FS-3830N
	Kyocera FS-3900DN
	Kyocera FS-4000DN
	Kyocera FS-6020
	Kyocera FS-6026
	Kyocera FS-6300
	Kyocera FS-6750
	Kyocera FS-6900
	Kyocera FS-6950DN
	Kyocera FS-7028M
	Kyocera FS-9130DN
	Kyocera FS-920
	Kyocera FS-9530DN
	Kyocera KM-1510
	Kyocera KM-1815
	Kyocera KM-1820
	Kyocera KM-3050
	Kyocera KM-4050
	Kyocera KM-4230/5230
	Kyocera KM-5050
	Kyocera KM-6030
	Kyocera KM-8030
	Oki B4350
	Tektronix Phaser 750DP
	Tektronix Phaser 750DX
	Tektronix Phaser 750N
	Tektronix Phaser 750P
	Xerox Phaser 2135
	Xerox Phaser 4400B
	Xerox Phaser 4400DT
	Xerox Phaser 4400DX
	Xerox Phaser 4400N
	Xerox Phaser 4500B
	Xerox Phaser 4500DT
	Xerox Phaser 4500DX
	Xerox Phaser 4500N
	Xerox Phaser 4510B
	Xerox Phaser 4510DT
	Xerox Phaser 4510DX
	Xerox Phaser 4510N
	Xerox Phaser 5500B
	Xerox Phaser 5500DN
	Xerox Phaser 5500DT
	Xerox Phaser 5500DX
	Xerox Phaser 5500N
	Xerox Phaser 6130N
	Xerox Phaser 6180DN
	Xerox Phaser 6180MFP-D
	Xerox Phaser 6200B
	Xerox Phaser 6200DP
	Xerox Phaser 6200DX
	Xerox Phaser 6200N
	Xerox Phaser 6250B
	Xerox Phaser 6250DP
	Xerox Phaser 6250DT
	Xerox Phaser 6250DX
	Xerox Phaser 6250N
	Xerox Phaser 6300DN
	Xerox Phaser 6300N
	Xerox Phaser 6350DP
	Xerox Phaser 6350DT
	Xerox Phaser 6350DX
	Xerox Phaser 6360DN
	Xerox Phaser 6360DX
	Xerox Phaser 7300B
	Xerox Phaser 7300DN
	Xerox Phaser 7300DT
	Xerox Phaser 7300DX
	Xerox Phaser 7300N
	Xerox Phaser 7400DN
	Xerox Phaser 7400DT
	Xerox Phaser 7400DX
	Xerox Phaser 7400DXF
	Xerox Phaser 7400N
	Xerox Phaser 7700DN
	Xerox Phaser 7700DX
	Xerox Phaser 7700GX
	Xerox Phaser 7750B
	Xerox Phaser 7750DN
	Xerox Phaser 7750DXF
	Xerox Phaser 7750GX
	Xerox Phaser 7760DN
	Xerox Phaser 7760DX
	Xerox Phaser 7760GX
	Xerox Phaser 8400B
	Xerox Phaser 8400BD
	Xerox Phaser 8400DP
	Xerox Phaser 8400DX
	Xerox Phaser 8400N
	Xerox Phaser 8500DN
	Xerox Phaser 8500N
	Xerox Phaser 8550DP
	Xerox Phaser 8550DT
	Xerox Phaser 8550DX
	Xerox Phaser 8560DN
	Xerox WorkCentre 7345

   2) Fix printing to Epson Stylus S20, S21, T20, and T21.

   3) Adjust printer definitions of EPSON Stylus Pro 7800 and 9800 (to
      use Ultrachrome K3 rather than Ultrachrome inks and media
      definitions).  This may result in minor changes in color output;
      if you determine this to be an issue, use the 7600 or 9600
      driver as appropriate or do not take this upgrade.

   4) Adjust the printer definitions of the Epson Stylus Pro 7880,
      9880, and 11880 to be consistent with new definition of 4880 and
      use Ultrachrome K3 w/Vivid Magenta ink.  This may result in
      minor changes in color output; if you determine this to be an
      issue, use the 7600 or 9600 driver as appropriate or do not take
      this upgrade.

   5) Correct printing on Epson Stylus Pro printers (x600, x800, and
      x880 series) to position images correctly on the page and to
      correctly cut the print in roll feed mode.

   6) Correct printer definitions of some Kyocera laser printers to
      specify tabloid-size (11.7x17) output.

   7) Correct printer definition of Canon ImageRunner 330s (large
      format).

   8) Add CD Allow Other Media Sizes option to Epson printers to
      permit printing to other media sizes when using third party
      trays.

   9) Correct the behavior of scan and page dry times for Epson Stylus
      Pro printers.

   10) The Enhanced Print plugin for GIMP now allows printing very
      small images at their correct sizes.

   11) A Finnish translation has been added.


* Changes from 5.2.4

   1) New printers supported in this release:

      EPSON Artisan 710
      EPSON Artisan 810
      EPSON Stylus NX115
      EPSON Stylus NX215
      EPSON Stylus NX415
      EPSON Stylus NX515
      EPSON Stylus Photo 1290s
      EPSON PX 1001
      EPSON Stylus Office B1100
      EPSON Stylus Office T1100
      EPSON Stylus Office T1110
      EPSON ME Office 1100
      EPSON WorkForce 310
      EPSON WorkForce 315
      EPSON WorkForce 610
      EPSON WorkForce 615
      EPSON WorkForce 1100
      EPSON Stylus Photo PX650
      EPSON Stylus Photo PX700W
      EPSON Stylus Photo PX710W
      EPSON Stylus Photo PX800FW
      EPSON Stylus Photo PX810FW
      EPSON Stylus S21
      EPSON Stylus Photo S50
      EPSON Stylus SX110
      EPSON Stylus SX115
      EPSON Stylus SX210
      EPSON Stylus SX215
      EPSON Stylus SX410
      EPSON Stylus SX415
      EPSON Stylus SX510W
      EPSON Stylus SX515
      EPSON Stylus SX600FW
      EPSON Stylus SX610FW
      EPSON Stylus SX615
      EPSON Stylus SX650
      EPSON Stylus T21
      EPSON Stylus T26
      EPSON Stylus T30
      EPSON Stylus T40W
      EPSON Stylus T50
      EPSON Stylus TX110
      EPSON Stylus TX210
      EPSON Stylus TX300F
      EPSON Stylus TX410
      EPSON Stylus TX510FN
      EPSON Stylus TX550W
      EPSON Stylus TX610FW
      EPSON Stylus TX615
      EPSON Stylus TX650
      EPSON Stylus Photo TX710W
      EPSON Stylus Photo TX800FW
      EPSON Stylus Photo TX810FW

   2) Add Device ID strings for printers for which they are known.

   3) Correctly handle installable options in PPD files in PostScript
      driver.

   4) Correctly handle certain PPD files that previously caused the
      PostScript driver (and hence the Enhanced Print plugin) to
      crash.

   5) Changed a number of laser printers by Gestetner, Infotec,
      Lanier, NRG, Ricoh, Savin, and Xerox to be large format
      (A3/tabloid instead of A4/letter).  Please inform us at
      gimp-print-devel@lists.sourceforge.net if you encounter other
      printers that should be changed.

   6) Make the QualityEnhancement option (available in the Epson
      driver for certain printers) function correctly.

   7) Allow Epson printers using Claria inks to select quadtone or
      hextone output.

   9) Corrected escputil status output for Epson Artisan and TX/SX
      7xx/8xx printer families and for a number of the R-series
      printers.

   10) Add support for EA5 envelope (paper size).

   11) Fixed the margins for the HP LaserJet 2100 and 2100M with A4
      paper.  It is likely that other printers will need similar
      correction.

   12) Update the German translation.


* Changes from 5.2.3

   1) New printers supported in this release:

      Canon PIXMA iX4000
      Canon SELPHY CP520
      EPSON Stylus Photo R2880
      EPSON Stylus DX4000

   2) Printing to the Epson PM-D600 has been corrected.

   3) Printing using the manual sheet guide on the Epson Stylus Photo
      R2400 has been corrected.

   4) Printing to the EPSON Artisan 700 and 800 and Stylus Photo
      P/TX700 and 800 series printers has been corrected.  Among other
      issues, it should now be possible to print reliably using the
      photo tray.

   5) The names of the following Epson printers have been corrected:

      EPSON Stylus Photo PX700W
      EPSON Stylus Photo TX700W
      EPSON Stylus Photo PX800FW
      EPSON Stylus Photo TX800FW

   6) The names of various Ricoh and Ricoh-based printers have been
      corrected to match Ricoh's model names and the OpenPrinting
      database.

   7) The EPSON inkjet utility, escputil, now correctly prints the
      color name for low ink warnings.

   8) Printing resolution names have been fixed in non-English locales
      in CUPS PPD files.

   9) A Russian translation has been added.  The Danish and Italian
      translations have been updated.

   10) Support has been added for L-size paper with tear-off borders.

   11) The ordering of inks in quadtone ink sets on Epson printers has
      been corrected.  In addition, support has been added for MIS
      quadtone and 6 tone inks.

   12) It is now possible to adjust the ink parameters for quadtone
      inks in CUPS.  Previously, these parameters could only be
      adjusted in the enhanced Print plugin for GIMP and other native
      Gutenprint applications.

   13) Updating CUPS PPD files is now faster.


* Changes from 5.2.2

   1) CUPS PPD files in non-English locales are now generated
      correctly when the CUPS driver interface is used (with CUPS 1.2
      and above).

   2) Epson inkjet printers that support duplex printing now use less
      restrictive margins (allowing use of more of the page) when
      duplex printing is not used.

   3) Printing to the following Epson printers has been corrected:

      EPSON Artisan 700
      EPSON Artisan 800
      EPSON BX300F
      EPSON EP-801A
      EPSON EP-901A
      EPSON EP-901F
      EPSON ME 300
      EPSON ME Office 360
      EPSON PX-401A
      EPSON Stylus NX100
      EPSON Stylus NX105
      EPSON Stylus Photo PX700FW
      EPSON Stylus Photo PX800FW
      EPSON Stylus Photo TX700W
      EPSON Stylus Photo TX800W
      EPSON Stylus S20
      EPSON Stylus SX100
      EPSON Stylus SX105
      EPSON Stylus T20
      EPSON Stylus TX100
      EPSON Stylus TX101
      EPSON Stylus TX102
      EPSON Stylus TX103
      EPSON Stylus TX105
      EPSON Stylus TX106
      EPSON Stylus TX109
      EPSON TX300F

      These printers should all be fully functional, but may be
      further tuned in the future.

   4) Duplex printing has been enabled on the Epson Stylus RX680,
      RX685, RX690, PM-A940, and PM-T960.  Support for these printers
      is still considered experimental.

   5) Support has been added for the Canon MULTIPASS MP220.

   6) Preliminary support has been added for the Canon PIXMA iP4600.

   7) Preliminary support has been added for the Canon PIXMA iX4000.

----------------

* Changes from 5.2.1

   1) Printing at standard and draft quality to a number of Epson
      multi-function devices has been corrected.  The printers that
      have been corrected are:

      EPSON Stylus CX4100
      EPSON Stylus CX4200
      EPSON Stylus CX4700
      EPSON Stylus CX4800
      EPSON Stylus CX5700
      EPSON Stylus CX5800
      EPSON Stylus CX7700
      EPSON Stylus CX7800
      EPSON Stylus DX4200
      EPSON Stylus DX4250
      EPSON Stylus DX4800
      EPSON Stylus DX4850
      EPSON PX A650

   2) Printing at standard and draft quality to the Epson Stylus Photo
      R1900 has been corrected.

   3) Printing to the Epson Artisan 700, Artisan 800, Stylus Photo
      TX700W, Stylus Photo TX800W, Stylus PX700FW, Stylus PX800FW,
      EP-801A, EP-901A, and EP-901F is believed to be corrected based
      on updated specifications.  The printers have not been tuned and
      are still considered experimental.

   4) An Italian translation has been added.

   5) Builds using the VPATH feature, allowing building outside of the
      source tree, have been fixed.  This has no user-visible
      implications, but it may have implications to distributors
      building Gutenprint.

================================================================


IV) EXCEPTIONS AND WORKAROUNDS

A) GENERAL ISSUES

  1) The Canon, Hewlett-Packard, Lexmark, and dye sublimation drivers
     do not offer all of the additional options and improvements that
     the Epson driver does.  Please contact us if you would like to
     assist with making these options available (requires C
     programming skills).


----------------

B) PRINTER-SPECIFIC ISSUES

  1) A number of Epson printers have been reported to produce poor
     quality at the bottom of the page in borderless mode when the
     resolution is set to 5760x2880 DPI.  The specific problem
     observed is that the print fades at the bottom of the page.
     Other than reducing the resolution or avoiding use of borderless
     mode, there is no known workaround for this problem.

  2) There have been reports of poor color fidelity on the Epson
     Stylus Photo R2880 with certain paper types.  This problem has
     not been reproduced.

  3) A number of laser printers capable of large format printing are
     incorrectly classified as small format, thereby not permitting
     users to select large paper sizes.  The workaround is to use the
     printer named "Generic PCL 6/PCL XL LF Printer".  Please report
     any such printers to gimp-print-devel@lists.sourceforge.net; they
     will be fixed in the next available release.

  4) Printing in CMYK mode to RGB printers (notably, color laser
     printers) will produce grossly incorrect colors.  Please use RGB
     (or, if necessary, CMY) mode when printing to such printers.
     This is a known bug that will not be fixed in 5.2 due to the risk
     of introducing new bugs combined with the limited utility of
     printing in this way.


----------------

C) BUILD/INSTALLATION ISSUES

  1) With certain versions of CUPS and in certain non-default
     configurations, if a new version of Gutenprint is installed over
     an existing version genppd will create PPD files based on the
     older version of Gutenprint rather than the newer version.  This
     will happen if all of the following are true:

     i) The cups-config provided by the CUPS driver adds
        -Wl,rpath=/usr/lib. This is done by some versions of CUPS
        reportedly because in some cases the runtime linker does not
        pick up libraries out of /usr/lib.  This can be checked by
        running

        cups-config --libs --ldflags

        and inspecting the output for any mention of "rpath", "RPATH",
        "RUN_PATH", or the like.  This is controlled by the CUPS
        installation on your system.

     ii) There is presently a version of Gutenprint installed in /usr
        (--prefix=/usr) rather than /usr/local or the like.  The
        default location of Gutenprint installation is in /usr/local,
        but system vendors typically install Gutenprint in /usr.

     iii) Gutenprint is built dynamically only (--disable-static or
        --disable-static-genppd).  This is not a default, and requires
        the explicit --disable-static or --disable-static-genppd on
	the Gutenprint "configure" command line.  Therefore, if you
	build Gutenprint normally you should not be vulnerable to this
	problem.

     Note that in general if you install CUPS into a non-standard
     location, and install Gutenprint into the same location, this
     problem can surface.  For example, if you choose to install CUPS
     in /usr/local and Gutenprint in /usr/local you are vulnerable to
     this.  However, it is not standard practice to install CUPS
     anywhere but /usr.

     In this case, the run path embedded in the genppd executable
     points to the version of Gutenprint installed in /usr/lib.  This
     run path overrides any attempt by libtool to look in the build
     directory.  The result is that cups-genppd and rastertogutenprint
     are run against the older version of Gutenprint.  If the new
     version contains additional features (more printers, changes to
     printer options, etc.) they will not be available.

     This bug is difficult to detect in a normal build.  It normally
     does not cause an error to happen during build unless there is an
     API change from the version installed and the version being
     built; the only failure is frequently that some PPD files may not
     be built or may be built with missing options.  Due to the PPD
     version checking introduced in this release, the behavior might
     manifest itself as a runtime error.  It is also possible that
     there will be no error at all other than the older version of
     Gutenprint being used, with the result that new features and bug
     fixes are not available.

     If you wish to use only shared libraries, do not wish to build
     static libraries at all, and are vulnerable to this issue
     (because cups-config --ldflags sets the run path), there are
     three workarounds available:

     i) Build and install Gutenprint into /usr (rather than
        /usr/local) and then rebuild Gutenprint from scratch.  This
        will install the correct libgutenprint.so in /usr/lib, and in
        the rebuild genppd will be run against the correct library.

     ii) Remove the old version of Gutenprint prior to building the
        new version of Gutenprint.  The important files to remove are
        anything named /usr/lib/libgutenprint*.

     iii) Edit cups-config to remove the reference to the run path.

  2) There are multiple issues that one must be aware of when using
     Foomatic with Gutenprint.

     i) Before installing any new release of Gutenprint 5.2, you must
	manually remove any existing Foomatic option files.  This is
	because the Foomatic utility to load data kits
	(foomatic-kitload) does not remove obsolete data files from
	the Foomatic database.  If you do not do this, any PPD files
	you generate will be incorrect and printing may work
	incorrectly or not at all.

	Foomatic option files are usually located in

	/usr/local/share/foomatic/db/source/opt

	or

	/usr/share/foomatic/db/source/opt

	Assuming they're in the former location, you must remove data
	files associated with the Gutenprint driver.  The command to do
	this, which must be run as the superuser (root) is

	cd /usr/local/share/foomatic/db/source/opt
	ls -l gutenprint-ijs*.xml

	If there are existing files present, you must remove them:

	rm -f gutenprint-ijs*.xml

	Now check to make sure that they are gone:

	ls -l gutenprint-ijs*.xml

	CAUTION: Be very careful when typing this command!  Minor
	errors in typing these commands may result in severe damage to
	your system.

	After this, you may run 'make install' in your Gutenprint
	source directory to install the package.  You will then need to
	re-create any printer queues using Foomatic.

	In general, you will have to perform this procedure any time
	you install a new version of Gutenprint.

	Please check the Foomatic site
	(http://www.openprinting.org/foomatic.html) and the Gutenprint
	site (http://gimp-print.sourceforge.net) for updated
	instructions about this.

     ii) Unlike with the CUPS native driver, there is no simple way to
	update all PPD files when you install a new version of
	Gutenprint.  You must either use the foomatic-ppdfile command
	to upgrade PPD files individually, or foomatic-compiledb to
	build all PPD files.  Your system may provide an alternate way
	to install new PPD files, in which case you may use that
	method.

     iii) The Foomatic data is version locked to the Gutenprint release
	installed on the system.  For example, PPD files generated
	with the Foomatic data for release 5.2.0 will not work with
	the ijsgutenprint in release 5.2.1.  This is to prevent
	accidentally using incorrect data, which could cause incorrect
	function to take place.

  3) There is a known complication building "escputil" that causes
     problems on a small number of systems.  "escputil" uses the
     "readline" package, to support command editing and history within
     the program.  Unfortunately, linking programs with "readline"
     often requires linking against additional libraries, and the
     exact library depends upon the system (e. g. not all Linux/UNIX
     systems have the same requirements).

     The configure script attempts to determine which additional
     library must be linked against.  It tries using the following
     libraries in this order to build a test executable:

     -lncurses
     -lcurses
     -ltermcap
     no additional libraries

     The reason it tries other libraries first is that some systems
     will link successfully, but only fail when an attempt is made to
     actually call readline.  Therefore, we assume that additional
     libraries are required.  Since we try the extra libraries in
     order from most recent to oldest, we expect that the first one we
     find will be appropriate.  For example, if the "ncurses" library
     is the standard on a given system, the "termcap" library may be
     provided for back compatibility, but it is unlikely that
     "termcap" will be the standard with "curses" or "ncurses" being
     provided for compatibility only (so that the link will succeed
     but the command will use the incorrect library).

     As this procedure is not failsafe, we provide the following
     configure options to control this behavior:

     ./configure --with-readline=yes  (the default; attempts to
				      determine the correct library
				      to link against)

     ./configure --with-readline=no   (turns off use of readline
				      altogether)

     ./configure --with-readline=only (specifically instructs
				      configure to not attempt to
				      link against any other
				      libraries)

     ./configure --with-readline=libs (specifies the libraries to be
				      linked against)

     A hypothetical (this won't work anywhere!) example of the latter
     would be

     ./configure --with-readline='-lncurses -ltermcap'

     Note that configure will not allow readline to be used if it
     cannot successfully build the test program, regardless of the
     option selected.  If you are having difficulty getting escputil
     to build, we suggest using --with-readline=no.  The commands
     used within escputil are very short and seldom require
     significant editing.

================================================================

V) OVERALL CHANGES FROM 5.0.2 TO 5.2

A) GENERAL USER-VISIBLE CHANGES

   1) Gutenprint 5.2 and beyond no longer support GIMP 1.2.  Please
      ensure that you are using GIMP 2.0 or above.

   2) Gutenprint 5.2 no longer supports Macintosh OS X 10.2; it now
      requires 10.6 (Snow Leopard) or higher.

   3) Color Correction is now shown on the basic output adjustment
      menu rather than the advanced menu.

   4) We recommend that any profiles created against Gutenprint 5.1 or
      earlier releases be checked, and if necessary, re-created for
      use with Gutenprint 5.2.


B) NEW FUNCTIONALITY

   1) The PostScript driver has been rewritten, offering enhanced
      functionality approaching that of the native printer drivers.
      This driver is used by the enhanced Print plugin for the GIMP,
      and by other packages (such as PhotoPrint) that utilize
      Gutenprint.  In particular, the following specific functionality
      has been added:

      - All PPD file options are now offered.

      - CMYK input is now handled correctly.

      - The PostScript driver recognizes Gutenprint PPD files (from
        the native CUPS driver, not from Foomatic) and presents
        floating point options correctly.

      Note that this driver does not offer the curve options offered
      by the native drivers.  If no PPD file is selected, a basic set
      of options is provided.

   2) Envelope paper sizes are now offered in both portrait and
      landscape form factor, as some printers expect envelopes to be
      fed long edge first while some expect them to be fed short edge
      first.

   3) PCL laser printers now offer paper trays with adjustable guides.
      Many laser printers use adjustable guides for manual feed of
      papers narrower than letter size.

   4) In addition to support for specific laser printers listed below,
      support for generic large format PCL laser printers has been
      added.  Note that all PCL laser printers are supported in black
      and white only.

   5) Quality presets have been added to the PCL driver (HP inkjets
      and HP and other laser printers).

   6) L-size photo paper (3 1/2x5 inches) has been added.


C) CHANGES TO THE ENHANCED PRINT PLUGIN FOR GIMP

   1) The GIMP plugin now offers additional options for many Epson
      inkjet printers, allowing precise specification of drop sizes if
      desired.

   2) A problem with determining the system printer queues in the GIMP
      plugin on certain systems using languages other than English has
      been fixed.

   3) The GIMP plugin now offers reset buttons for individual
      settings, so it is possible to reset a single setting to its
      default without resetting all settings.


D) CHANGES TO THE CUPS INTERFACE

   1) PPD files generated by cups-genppd and the CUPS driver interface
      (gutenprint.5.2) now include, by default, all localizations in a
      single file.  This is referred to as "globalized PPD files".
      This functionality is supported by CUPS 1.2 and higher.
      Single-language PPD files are still generated on request, or if
      CUPS 1.1 is in use.  The CUPS driver is now localized using
      built-in code, eliminating problems with PPD files not always
      being translated properly.

      cups-genppdupdate will normally upgrade all PPD files to
      globalized ones if CUPS 1.2 or higher is in use or if
      pregenerated PPD files are used, but will otherwise generate
      single-language files.  This behavior can be controlled as
      follows:

      - If -l<language> is passed to cups-genppdupdate, it will be
	honored no matter what release of Gutenprint is in use.  This
	may be used if applications have issues with globalized PPD
	files.  We would like reports of any such applications.  The
	list of languages accepted is as follows:

	C	English (US)
	ca	Catalan
	cs	Czech
	da	Danish
	de	German
	el	Greek
	en_GB	English (UK)
	es	Spanish
	fi	Finnish
	fr	French
	gl	Galician
	hu	Hungarian
	it	Italian
	ja	Japanese
	nb	Norwegian
	nl	Dutch
	pl	Polish
	pt	Portuguese
	ru	Russian
	sk	Slovak
	sl	Slovenian
	sv	Swedish
	tr	Turkish
	uk	Ukrainian
	vi	Vietnamese
	zh_CN	Simplified Chinese
	zh_TW	Traditional Chinese

      - If -loriginal is passed, the original language of the PPD file
	will be honored.

      - If no -l option is passed, the original language will be
	honored if -r5.0 or -r5.1 is passed (i. e. if cups-genppdupdate
	is used to downgrade to an older version of Gutenprint), or if
	CUPS 1.1 is in used.

      - A new configure option --enable-globalized-cups-ppds (or if not
	desired, --disable-globalized-cups-ppds) has been added to
	enable or disable pre-generating globalized PPD files.  This
	option is only used if --enable-cups-ppds is set.  It defaults
	to "yes" if CUPS 1.2 or above is in use or "no" if CUPS 1.1 is
	in use.

   2) The CUPS driver is now localized using built-in code, hopefully
      eliminating problems with PPD files not always being translated
      properly.

   3) cups-genppdupdate is no longer versioned, as it was in 5.0 and
      5.1 (cups-genppdupdate.5.0 and cups-genppdupdate.5.1).  It also
      supports the following options:

      -r Specify the major.minor version to update to, e. g. 5.0 or
         5.1.

      -f Bypass ownership/permissions checks on update PPD files.

      -i Interactively ask whether to update each PPD file.

      -l Specify the language in which to generate PPD files, as
       	 described above.

   4) The performance of cups-genppdupdate has been improved
      significantly.

   5) cups-genppdupdate no longer updates PPD files that differ only
      in case of the file extension (e. g. printer.ppd and
      printer.PPD).  This avoids updating PPD files twice on
      filesystems that are case insensitive, such as OS X.

   6) cups-genppdconfig has been removed from this release.  This
      command was used to configure CUPS printer queues, but is not
      necessary as there are ample other tools available to configure
      printer queues.

   7) The CUPS driver will no longer attempt to find a matching
      predefined page size when a custom page size is passed in.  This
      yields more accurate printing sizes for custom paper sizes.  In
      addition, it avoids a problem with unnecessary margins being
      imposed when the paper size is approximately 4.7x6.8" (120x173
      mm) due to a specific defined page size with those dimensions and
      tear-off borders.

   8) Certain legacy applications (most notably Microsoft Office) did
      not print correctly on printers capable of high resolution, due
      to inability to handle the specified resolutions.  This release
      works around that issue by not advertising very high resolutions
      in a way that these applications will fail on.

   9) Progress and error messages produced by the CUPS raster driver
      are now localized.

   10) The CUPS driver now provides an Output Order option, where
      appropriate, in all cases.  This worked prior to 5.2.0-beta3 and
      was broken in that release only.

   11) A problem whereby the CUPS driver could consume excessive
      amounts of CPU and generate no output with Epson PictureMate and
      E-series compact photo printers has been fixed.


E) CHANGES TO THE FOOMATIC INTERFACE

   1) The Foomatic-based driver will only attempt to find a precisely
      matching page size when a custom page size is passed in.  This
      yields more accurate printing sizes for custom paper sizes.


F) QUALITY IMPROVEMENTS

   1) A number of improvements have been made to the Epson driver:

      - Borderless printing and in general printing near the bottom of
      	the page has been improved for many Epson inkjet printers.

      - Additional very high resolutions (2880x2880 and 5760x2880 DPI)
      	have been added for many modern (post-2005) printers.  These
      	resolutions may be useful when one desires the absolute best
      	print quality.

      - Additional enhanced low and intermediate resolutions have been
        added for some Epson printers to reduce banding while still
        achieving good output performance and quality.

      - Printing speed, and in some cases quality, has been improved
        on many modern Epson printers.

      - Ink drop size has been retuned on printers using Claria inks,
        yielding improved quality at lower resolutions.

      - Borderless support has been added to the Epson Stylus Pro
	7600/9600 and the margins have been corrected.

      - Epson printers will now correctly handle color output if
	quadtone inks are in use by printing in grayscale even though
	color is specified.

      - The Epson Stylus CX8300 and CX8400 now print correctly, although
	the colors may be retuned before final release.

      - The Epson Stylus CX7400, DX7400, and DX7450 now print correctly
	at all resolutions.  Previously, printing at 720x360 DPI or below
	was incorrect.  Output will be rather grainy.

      - A problem whereby some rows are not printed in color on the Epson
	Stylus CX3700 and related printers has been fixed.

   2) Output quality has been improved for certain Canon printers, in
      particular the PIXMA iP4500 and related printers.

   3) A new dither algorithm, Ordered New, has been added.  This
      dither algorithm is most likely to improve output at low
      resolutions, particularly when printing black and white.  It
      will only help on printers offering multiple drop sizes.

   4) Various new controls and settings have been added to assist in
      printer calibration.  While the tools for using these controls
      are not yet created, these tools will assist in calibrating
      printers in the future.

      - The Epson driver now offers additional controls for adjusting
      	the relationship between light and dark ink:

	+ The Value parameters (such as Light Cyan Value) specify the
	  relative darkness of the light vs. dark inks.

	+ The Cutoff parameters now specify the point at which the
	  darker ink is first used, relative to the value of the light
	  ink.

	+ The Scale parameters now specify the amount of light ink
	  used (essentially the density of the light ink).  This is
	  the same as the parameters previously called Cutoff.

      - The Epson driver now exposes as defaults the actual GCR
        settings used for the printer, paper, and ink combination in
        use.

      - The Epson driver now allows passing low level settings such as
        printer base resolution, ink drop size selection, and relative
        ink drop size as parameters.  The ink drop size can be
        accessed in the GIMP plugin, while the base resolution and ink
        drop size selection can only be used via the test pattern
        generator or other application that allows setting integer
        parameters.

      - Two new dither algorithms, Segmented and Segmented New, have
	been added.  These are not intended for normal use, and will
	normally behave like Ordered and Ordered New.  However, if Raw
	color correction is selected and a printer with multiple drop
	sizes is used, the range of input will be divided up such that
	the high order bits will select the drop size to be used and
	the lower bits will specify the amount of ink.  High order
	bits of 0 indicate that all drop sizes should be used.

	For example, if a printer offers 3 drop sizes (2 bits), the
	range of 0-16383 will print all drop sizes normally (with the
	range of 0-16383 being scaled to 0-65535), 16384-32767 will
	use the small drop size, and so forth.

	This is intended to assist in tuning ink drop sizes and is not
	normally useful otherwise.

      - A new parameter allowing dumping out of color correction state
	(lookup tables, GCR data, curves, etc.) has been added, and is
	accessible in the GIMP plugin.  At present, this data cannot
	be used directly, but it is intended that in the future this
	mechanism be used to allow calibration information to be saved
	and restored.


G) ARCHITECTURAL CHANGES

   1) The Epson driver has been significantly rewritten to use data
      stored in external files external to the binary library.  This
      allows making improvements, adding new features, and adding new
      printers without recompiling the source code.

   2) Test coverage has been increased.


H) NEW PRINTERS SUPPORTED SINCE GUTENPRINT 5.0.0

   1) Epson inkjet printers:

      Artisan 700
      Artisan 710
      Artisan 800
      Artisan 810
      B-300
      B-308
      B-500DN
      B-508DN
      E 150
      E 300
      E 500
      E 520
      E 700
      E 720
      ME Office 1100
      ME Office 70
      ME Office 700FW
      ME Office 80W
      Offirio PX-B300
      Offirio PX-B500
      PM 670C
      PM A820
      PM D870
      PM G4500
      PM G850
      PX 1001
      PX 101
      PX 201
      PX 601F
      PX V780
      PictureMate 100
      PictureMate 2005
      PictureMate 210
      PictureMate 215
      PictureMate 240
      PictureMate 250
      PictureMate 260
      PictureMate 270
      PictureMate 280
      PictureMate 290
      PictureMate 500
      PictureMate Dash
      PictureMate Flash
      PictureMate Pal
      PictureMate Snap
      Stylus C110
      Stylus C120
      Stylus C79+
      Stylus C87+
      Stylus CX4400
      Stylus CX4900
      Stylus CX5000
      Stylus CX5000F
      Stylus CX5500
      Stylus CX5600
      Stylus CX6000
      Stylus CX7000F
      Stylus CX7400
      Stylus CX9300F
      Stylus CX9400
      Stylus CX9400F
      Stylus CX9475F
      Stylus D120
      Stylus D92
      Stylus DX4050
      Stylus DX4400
      Stylus DX4450
      Stylus DX7000F
      Stylus DX7400
      Stylus DX7450
      Stylus DX8400
      Stylus DX8450
      Stylus DX9400F
      Stylus NX100
      Stylus NX115
      Stylus NX200
      Stylus NX215
      Stylus NX300
      Stylus NX400
      Stylus NX415
      Stylus NX515
      Stylus Office B1100
      Stylus Office B30
      Stylus Office B33
      Stylus Office B40W
      Stylus Office BX300F
      Stylus Office BX600FW
      Stylus Office SX600FW
      Stylus Office T1100
      Stylus Office T1110
      Stylus Office T30
      Stylus Office T33
      Stylus Office T40W
      Stylus Office TX300F
      Stylus Office TX600FW
      Stylus PX700FW
      Stylus PX800FW
      Stylus Photo 1290s
      Stylus Photo 1400
      Stylus Photo 1410
      Stylus Photo PX650
      Stylus Photo PX700W
      Stylus Photo PX710W
      Stylus Photo PX800FW
      Stylus Photo PX810FW
      Stylus Photo R1900
      Stylus Photo R230
      Stylus Photo R240
      Stylus Photo R245
      Stylus Photo R260
      Stylus Photo R265
      Stylus Photo R270
      Stylus Photo R280
      Stylus Photo R285
      Stylus Photo R290
      Stylus Photo R350
      Stylus Photo R360
      Stylus Photo R380
      Stylus Photo R390
      Stylus Photo RX560
      Stylus Photo RX580
      Stylus Photo RX585
      Stylus Photo RX590
      Stylus Photo RX595
      Stylus Photo RX610
      Stylus Photo RX640
      Stylus Photo RX680
      Stylus Photo RX685
      Stylus Photo RX690
      Stylus Photo S50
      Stylus Photo TX700W
      Stylus Photo TX710W
      Stylus Photo TX800FW
      Stylus Photo TX800W
      Stylus Photo TX810FW
      Stylus Pro 11880
      Stylus Pro 7800
      Stylus Pro 7880
      Stylus Pro 9800
      Stylus Pro 9880
      Stylus S20
      Stylus S21
      Stylus SX100
      Stylus SX105
      Stylus SX110
      Stylus SX115
      Stylus SX200
      Stylus SX205
      Stylus SX210
      Stylus SX215
      Stylus SX400
      Stylus SX405
      Stylus SX410
      Stylus SX415
      Stylus SX510W
      Stylus SX515
      Stylus SX600FW
      Stylus SX610FW
      Stylus SX615
      Stylus SX650
      Stylus T20
      Stylus T21
      Stylus T26
      Stylus T30
      Stylus T40W
      Stylus T50
      Stylus TX100
      Stylus TX110
      Stylus TX200
      Stylus TX210
      Stylus TX300F
      Stylus TX400
      Stylus TX410
      Stylus TX510FN
      Stylus TX550W
      Stylus TX610FW
      Stylus TX615
      Stylus TX650
      WorkForce 1100
      WorkForce 30
      WorkForce 310
      WorkForce 315
      WorkForce 40
      WorkForce 500
      WorkForce 600
      WorkForce 610
      WorkForce 615

   2) Canon inkjet printers:

      BJC5100
      BJC5500
      BJC8500
      PIXMA MP150
      PIXMA MP170
      PIXMA MP180
      PIXMA MP500
      PIXMA MP520
      PIXMA MP610
      PIXMA MP700
      PIXMA MP710
      PIXMA MP730
      PIXMA MP740
      PIXMA MP750
      PIXMA MP760
      PIXMA MP770
      PIXMA MP780
      PIXMA MP790
      PIXMA MP830
      PIXMA Pro 9500
      PIXMA iP2000
      PIXMA iP3000
      PIXMA iP3100
      PIXMA iP4100
      PIXMA iP4200
      PIXMA iP4300
      PIXMA iP4500
      PIXMA iP5000
      PIXMA iP5200
      PIXMA iP5300
      PIXMA iP6000D
      PIXMA iP6700
      PIXMA iP8500
      PIXMA iX5000
      PIXUS iP3100
      PIXUS iP4100
      i560
      i80
      i850
      i860
      i865

   3) Dye sublimation printers

      Canon CP-10
      Canon SELPHY ES1 (*)
      Canon SELPHY ES2 (*)
      Canon SELPHY ES20 (*)
      Fujifilm FinePix NX-500
      Kodak Easyshare Printer
      Olympus P-S100
      Shinko CHC S9045
      Sony DPP-EX5
      Sony UP-DR100

      (*) Note that these printers may not work on all systems due to
	  communication requirements.

   4) Lexmark inkjet and compatible printers:

      Compaq IJ1200
      Lexmark X73

   5) Laser printers (black and white only):

      Brother DCP-8045D
      Brother HL-1430
      Brother HL-1450
      Brother HL-1470N
      Brother HL-1650
      Brother HL-1670N
      Brother HL-1850
      Brother HL-1870N
      Brother HL-2060
      Brother HL-2460
      Brother HL-2460N
      Brother HL-5030
      Brother HL-5040
      Brother HL-5050
      Brother HL-5070N
      Brother HL-5140
      Brother HL-5150D
      Brother HL-5170DN
      Brother HL-7050
      Brother HL-7050N
      Epson EPL-N2050
      Epson EPL-N2050+
      Epson EPL-N2050PS
      Epson EPL-N2050PS+
      Epson EPL-N2120
      Epson EPL-N2500
      Epson EPL-N2500PS
      Epson EPL-N2750
      Epson EPL-N2750PS
      Gestetner 10512
      Gestetner 2212
      Gestetner 2712
      Gestetner 3212
      Gestetner 3502
      Gestetner 3532
      Gestetner 4235g
      Gestetner 4245g
      Gestetner 4502
      Gestetner 4532
      Gestetner 6002
      Gestetner 7502
      Gestetner 9002
      Gestetner DS645G
      Gestetner DSm415
      Gestetner DSm416
      Gestetner DSm615
      Gestetner DSm616
      Gestetner DSm618
      Gestetner DSm618d
      Gestetner DSm620
      Gestetner DSm620d
      Gestetner DSm622
      Gestetner DSm625
      Gestetner DSm627
      Gestetner DSm635
      Gestetner DSm635G
      Gestetner DSm645
      Gestetner DSm651
      Gestetner DSm660
      Gestetner DSm675
      Gestetner DSm7110
      Gestetner DSm7135
      Gestetner DSm716
      Gestetner DSm721d
      Gestetner DSm725
      Gestetner DSm725e
      Gestetner DSm730
      Gestetner DSm730e
      Gestetner DSm735
      Gestetner DSm735G
      Gestetner DSm735e
      Gestetner DSm745
      Gestetner DSm745G
      Gestetner DSm745e
      Gestetner DSm755
      Gestetner DSm765
      Gestetner DSm775
      Gestetner DSm790
      Gestetner MP 161
      Gestetner MP 1100
      Gestetner MP 1350
      Gestetner MP 1600
      Gestetner MP 2000
      Gestetner MP 2500
      Gestetner MP 2510
      Gestetner MP 2550
      Gestetner MP 2550B
      Gestetner MP 3010
      Gestetner MP 3350
      Gestetner MP 3350B
      Gestetner MP 3500
      Gestetner MP 4000
      Gestetner MP 4000B
      Gestetner MP 4500
      Gestetner MP 5000
      Gestetner MP 5000B
      Gestetner MP 5500
      Gestetner MP 6500
      Gestetner MP 7500
      Gestetner MP 9000
      HP LaserJet 1022
      HP LaserJet 1160
      HP LaserJet 1320
      HP LaserJet 2410
      HP LaserJet 2420
      HP LaserJet 2430
      HP LaserJet 3015
      HP LaserJet 3020
      HP LaserJet 3030
      HP LaserJet 3050
      HP LaserJet 3052
      HP LaserJet 3055
      HP LaserJet 3380
      HP LaserJet 3390
      HP LaserJet 3392
      HP LaserJet 4240
      HP LaserJet 4250
      HP LaserJet 4345 mfp
      HP LaserJet 4350
      HP LaserJet 5200
      HP LaserJet 5200L
      HP LaserJet 9040
      HP LaserJet 9040 MFP
      HP LaserJet 9050
      HP LaserJet 9050 MFP
      HP LaserJet M3027 MFP
      HP LaserJet M3035 MFP
      HP LaserJet M4345 MFP
      HP LaserJet M5025 MFP
      HP LaserJet M5035 MFP
      HP LaserJet P2010
      HP LaserJet P2015
      HP LaserJet P3004
      HP LaserJet P3005
      Infotec 4353 MF
      Infotec 4452 MF
      Infotec IS 2015
      Infotec IS 2018
      Infotec IS 2018D
      Infotec IS 2022
      Infotec IS 2027
      Infotec IS 2032
      Infotec IS 2035
      Infotec IS 2045
      Infotec IS 2060
      Infotec IS 2075
      Infotec IS 2090
      Infotec IS 2105
      Infotec IS 2122
      Infotec IS 2127
      Infotec IS 2132
      Infotec IS 2135
      Infotec IS 2145
      Infotec IS 2151
      Infotec IS 2160
      Infotec IS 2175
      Infotec IS 2215
      Infotec IS 2216
      Infotec IS 2220
      Infotec IS 2220D
      Infotec IS 2225
      Infotec IS 2230
      Infotec IS 2235
      Infotec IS 2245
      Infotec IS 2255
      Infotec IS 2265
      Infotec IS 2275
      Infotec IS 2316
      Infotec IS 2320
      Infotec IS 2325
      Infotec IS 2416
      Infotec IS 2425
      Infotec IS 2430
      Infotec IS 2435
      Infotec IS 2445
      Infotec IS 3090
      Infotec IS 3110
      Infotec IS 3135
      Infotec MP 2550
      Infotec MP 2550B
      Infotec MP 3350
      Infotec MP 3350B
      Infotec MP 4000
      Infotec MP 4000B
      Infotec MP 5000
      Infotec MP 5000B
      Lanier 5622
      Lanier 5627
      Lanier 5632
      Lanier 5635
      Lanier 5645
      Lanier LD015
      Lanier LD016
      Lanier LD035
      Lanier LD040
      Lanier LD040B
      Lanier LD045
      Lanier LD050
      Lanier LD050B
      Lanier LD060
      Lanier LD075
      Lanier LD090
      Lanier LD115
      Lanier LD116
      Lanier LD118
      Lanier LD118d
      Lanier LD120
      Lanier LD120d
      Lanier LD122
      Lanier LD125
      Lanier LD127
      Lanier LD132
      Lanier LD135
      Lanier LD145
      Lanier LD151
      Lanier LD160
      Lanier LD175
      Lanier LD190
      Lanier LD225
      Lanier LD230
      Lanier LD235
      Lanier LD245
      Lanier LD255
      Lanier LD265
      Lanier LD275
      Lanier LD316
      Lanier LD320d
      Lanier LD325
      Lanier LD330
      Lanier LD335
      Lanier LD345
      Lanier LD425
      Lanier LD425B
      Lanier LD433
      Lanier LD433B
      Lanier LD0105
      Lanier LD1100
      Lanier LD1135
      Lanier MP 161
      Lanier MP 1100
      Lanier MP 1350
      Lanier MP 1600
      Lanier MP 2000
      Lanier MP 2500
      Lanier MP 2510
      Lanier MP 2550
      Lanier MP 2550B
      Lanier MP 3010
      Lanier MP 3350
      Lanier MP 3350B
      Lanier MP 3500
      Lanier MP 4000
      Lanier MP 4000B
      Lanier MP 4500
      Lanier MP 5000
      Lanier MP 5000B
      Lanier MP 5500
      Lanier MP 6500
      Lanier MP 7500
      Lanier MP 9000
      Lexmark Optra E220
      Lexmark Optra E321
      NRG 2205
      NRG 2212
      NRG 2238
      NRG 2705
      NRG 2712
      NRG 2738
      NRG 3205
      NRG 3212
      NRG 3238
      NRG 3502
      NRG 3508
      NRG 3518
      NRG 3525
      NRG 3532
      NRG 3545
      NRG 4502
      NRG 4508
      NRG 4518
      NRG 4525
      NRG 4532
      NRG 4545
      NRG 6002
      NRG 6005
      NRG 6008
      NRG 7502
      NRG 7505
      NRG 7508
      NRG 9002
      NRG 9005
      NRG 9008
      NRG 10512
      NRG 10515
      NRG 10518
      NRG DSm415
      NRG DSm615
      NRG DSm616
      NRG DSm618
      NRG DSm618d
      NRG DSm620
      NRG DSm620d
      NRG DSm622
      NRG DSm627
      NRG DSm632
      NRG DSm635
      NRG DSm645
      NRG DSm651
      NRG DSm660
      NRG DSm675
      NRG DSm725
      NRG DSm730
      NRG DSm735
      NRG DSm745
      NRG MP 161
      NRG MP 1100
      NRG MP 1350
      NRG MP 1600
      NRG MP 2000
      NRG MP 2500
      NRG MP 2510
      NRG MP 2550
      NRG MP 2550B
      NRG MP 3010
      NRG MP 3350
      NRG MP 3350B
      NRG MP 3500
      NRG MP 4000
      NRG MP 4000B
      NRG MP 4500
      NRG MP 5000
      NRG MP 5000B
      NRG MP 5500
      NRG MP 6500
      NRG MP 7500
      NRG MP 9000
      Ricoh Aficio 220
      Ricoh Aficio 1022
      Ricoh Aficio 1027
      Ricoh Aficio 1032
      Ricoh Aficio 1035
      Ricoh Aficio 1045
      Ricoh Aficio 1060
      Ricoh Aficio 1075
      Ricoh Aficio 1515
      Ricoh Aficio 2015
      Ricoh Aficio 2016
      Ricoh Aficio 2018
      Ricoh Aficio 2018D
      Ricoh Aficio 2020
      Ricoh Aficio 2020D
      Ricoh Aficio 2022
      Ricoh Aficio 2027
      Ricoh Aficio 2032
      Ricoh Aficio 2035
      Ricoh Aficio 2035e
      Ricoh Aficio 2045
      Ricoh Aficio 2045e
      Ricoh Aficio 2051
      Ricoh Aficio 2060
      Ricoh Aficio 2075
      Ricoh Aficio 2090
      Ricoh Aficio 2105
      Ricoh Aficio 3025
      Ricoh Aficio 3030
      Ricoh Aficio 3035
      Ricoh Aficio 3045
      Ricoh Aficio MP 161
      Ricoh Aficio MP 1100
      Ricoh Aficio MP 1350
      Ricoh Aficio MP 1600
      Ricoh Aficio MP 2000
      Ricoh Aficio MP 2500
      Ricoh Aficio MP 2510
      Ricoh Aficio MP 2550
      Ricoh Aficio MP 2550B
      Ricoh Aficio MP 3010
      Ricoh Aficio MP 3350
      Ricoh Aficio MP 3350B
      Ricoh Aficio MP 3500
      Ricoh Aficio MP 4000
      Ricoh Aficio MP 4000B
      Ricoh Aficio MP 4500
      Ricoh Aficio MP 5000
      Ricoh Aficio MP 5000B
      Ricoh Aficio MP 5500
      Ricoh Aficio MP 6500
      Ricoh Aficio MP 7500
      Ricoh Aficio MP 9000
      Samsung ML-1250
      Samsung ML-1450
      Samsung ML-1450PS
      Samsung ML-1650
      Samsung ML-1651N
      Samsung ML-1750
      Samsung ML-2150
      Samsung ML-2150PS
      Samsung ML-2151N
      Samsung ML-2151NPS
      Samsung ML-2152W
      Samsung ML-2152WPS
      Samsung ML-2250
      Samsung ML-2550
      Samsung ML-2551N
      Samsung ML-2552W
      Samsung ML-7300
      Samsung ML-7300N
      Savin 2235
      Savin 2245
      Savin 2522
      Savin 2527
      Savin 2532
      Savin 2535
      Savin 2545
      Savin 2560
      Savin 2575
      Savin 3515
      Savin 40105
      Savin 4015
      Savin 4018
      Savin 4018d
      Savin 4022
      Savin 4027
      Savin 4035
      Savin 4035e
      Savin 4045
      Savin 4045e
      Savin 4051
      Savin 4060
      Savin 4075
      Savin 4090
      Savin 4135eG
      Savin 4135g
      Savin 4145eG
      Savin 4145g
      Savin 7025
      Savin 8016
      Savin 8020
      Savin 8020d
      Savin 8025
      Savin 8025e
      Savin 8030
      Savin 8030e
      Savin 8035
      Savin 8035e
      Savin 8035g
      Savin 8045
      Savin 8045e
      Savin 8045g
      Savin 8055
      Savin 8065
      Savin 8075
      Savin 8090
      Savin 8110
      Savin 8135
      Savin 816
      Savin 9016
      Savin 9021d
      Savin 9025
      Savin 9025b
      Savin 9033
      Savin 9033b
      Savin 9040
      Savin 9040b
      Savin 9050
      Savin 9050b
      Sharp AR-M257
      Xerox WorkCentre M118
